local c, class = UnitClass("player")
if class == "MONK" then
local x, y, spacey, scaley = 0, 0, 60, 45
function MonkHelper_Config()
----Create Frame for options-----
MonkHelper = {}
MonkHelper.panel = CreateFrame("Frame", "MHOpt", UIParent)
MonkHelper.panel.name = "Monk Helper"
InterfaceOptions_AddCategory(MonkHelper.panel)
MonkHelper.panel.default = function()
MonkHelper_Defaults()
if MHtimerbypass == 0 then
MonkHelper_UpdateUI()
end
end

MonkHelper.panel.okay = function()
MonkHelper_Apply()
end
MonkHelper.panel.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.panel.refresh = function()
MonkHelper_Cancel()
end

MHdisable = CreateFrame("Button", "MHDisable", MonkHelper.panel, "UIPanelButtonTemplate")
MHdisable:SetHeight(20)
MHdisable:SetWidth(80)
MHdisable:SetText("Disable All")
MHdisable:ClearAllPoints()
MHdisable:SetPoint("CENTER", MonkHelper.panel, "BOTTOMLEFT", 50, 20)
MHdisable:SetScript("OnClick", MonkHelper_Disable)


MHapply = CreateFrame("Button", "MHApply", MonkHelper.panel, "UIPanelButtonTemplate")
MHapply:SetHeight(20)
MHapply:SetWidth(70)
MHapply:SetText("Apply")
MHapply:ClearAllPoints()
MHapply:SetPoint("CENTER", MonkHelper.panel, "BOTTOMRIGHT", -50, 20)
MHapply:SetScript("OnClick", MonkHelper_Apply)

MHshowframes = CreateFrame("Button", "MHShowFrames", MonkHelper.panel, "GameMenuButtonTemplate")
MHshowframes:SetWidth(140)
MHshowframes:SetHeight(40)
MHshowframes:SetPoint("BOTTOM", MonkHelper.panel, "BOTTOM", 0, 60)
MHshowframes:SetText("Show All Frames")
MHshowframes:SetScript("OnClick", MonkHelper_ShowFrames)
------------------------------------------
MHscale = CreateFrame("Slider","MHScale", MonkHelper.panel)
MHscale:SetPoint("TOPLEFT", 15, -220)
MHscale:SetWidth(600)
MHscale:SetHeight(20)
MHscale:SetOrientation("HORIZONTAL")
MHscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHscale:SetMinMaxValues(0.5,2)
MHscale:SetValue(MonkHelper_Options.chibarscale)
MHscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHscale:SetScript("OnValueChanged", function (self, value) cbsvalue:SetText(string.sub(value, 1, 4)) MHchibar.mainframe:SetScale(value) end)
cbsheader = MonkHelper.panel:CreateFontString("MHChiBarScaleText", "OVERLAY", "GameFontNormal")
cbsheader:SetPoint("BOTTOMLEFT", MHscale, "TOPLEFT")
cbsheader:SetText("Chi Bar Scale")
cbsvalue = MonkHelper.panel:CreateFontString("MHCBSValue", "OVERLAY", "GameFontNormal")
cbsvalue:SetPoint("BOTTOMRIGHT", MHscale, "TOPRIGHT")
cbsvalue:SetText(string.sub(MonkHelper_Options.chibarscale, 1, 4))
----------------------------------------------
MHrscale = CreateFrame("Slider","MHRScale", MonkHelper.panel)
MHrscale:SetPoint("TOPLEFT", 15, -260)
MHrscale:SetWidth(600)
MHrscale:SetHeight(20)
MHrscale:SetOrientation("HORIZONTAL")
MHrscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHrscale:SetMinMaxValues(0.5,2)
MHrscale:SetValue(MonkHelper_Options.resourcebarscale)
MHrscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHrscale:SetScript("OnValueChanged", function (self, value) rsvalue:SetText(string.sub(value, 1, 4)) MHresourcebar:SetScale(value) end)
rsheader = MonkHelper.panel:CreateFontString("MHResourceBarScaleText", "OVERLAY", "GameFontNormal")
rsheader:SetPoint("BOTTOMLEFT", MHrscale, "TOPLEFT")
rsheader:SetText("Resource Bar Scale")
rsvalue = MonkHelper.panel:CreateFontString("MHRBSValue", "OVERLAY", "GameFontNormal")
rsvalue:SetPoint("BOTTOMRIGHT", MHrscale, "TOPRIGHT")
rsvalue:SetText(string.sub(MonkHelper_Options.resourcebarscale, 1, 4))
--------------------------------- 
MHlock = CreateFrame("CheckButton", "MHLock", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHlock:SetPoint("TOPLEFT", 15, -20)
MHLockText:SetText("Lock Frames |cFFFFEA00(Frames Auto-Lock During Combat)|r") -- $parentText
MHlock:SetChecked(MonkHelper_Options.lockframes)
-----------------------------------------
MHhide = CreateFrame("CheckButton", "MHHide", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHhide:SetPoint("TOPLEFT", 15, -40)
MHHideText:SetText("Hide Frames When Out Of Combat") 
MHhide:SetChecked(MonkHelper_Options.hideframes)
---------------------------------------
MHchibarshow = CreateFrame("CheckButton", "MHChiBarShow", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHchibarshow:SetPoint("TOPLEFT", 15, -60)
MHChiBarShowText:SetText("Chi Bar")
MHchibarshow:SetChecked(MonkHelper_Options.show.MHchibar)
---------------------------------------
MHresourcebarshow = CreateFrame("CheckButton", "MHResourceBarShow", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHresourcebarshow:SetPoint("TOPLEFT", 15, -80)
MHResourceBarShowText:SetText("Resource Bar |cFFFFEA00(Changes Depending On Your Spec/Stance)|r")
MHresourcebarshow:SetChecked(MonkHelper_Options.show.MHresourcebar)
--------------------------------------------------------
MHstatsshow = CreateFrame("CheckButton", "MHStatsShow", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHstatsshow:SetPoint("TOPLEFT", 15, -100)
MHStatsShowText:SetText("Stat Monitor |cFFFFEA00(Changes Depending On Your Spec/Stance)|r")
MHstatsshow:SetChecked(MonkHelper_Options.show.MHstats)
MHstatsscale = CreateFrame("Slider","MHStatsScale", MonkHelper.panel)
MHstatsscale:SetPoint("TOPLEFT", MonkHelper.panel, "TOPLEFT", 15, -300)
MHstatsscale:SetWidth(600)
MHstatsscale:SetHeight(20)
MHstatsscale:SetOrientation("HORIZONTAL")
MHstatsscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHstatsscale:SetMinMaxValues(0.5,2)
MHstatsscale:SetValue(MonkHelper_Options.scale.MHstats)
MHstatsscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHstatsscale:SetScript("OnValueChanged", function (self, value) statsvalue:SetText(string.sub(value, 1, 4)) MHstats:SetScale(value) end)
statsheader = MonkHelper.panel:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
statsheader:SetPoint("BOTTOMLEFT", MHstatsscale, "TOPLEFT")
statsheader:SetText("Stat Monitor Scale")
statsvalue = MonkHelper.panel:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
statsvalue:SetPoint("BOTTOMRIGHT", MHstatsscale, "TOPRIGHT")
statsvalue:SetText(string.sub(MonkHelper_Options.scale.MHstats, 1, 4))
----------------------------------------

-- Spec & Talent options
-----------Windwalker--------------------------------------------
MonkHelper.wwspec = CreateFrame("Frame", "MHWWSpecOpt", UIParent)
MonkHelper.wwspec.name = "WindWalker"
MonkHelper.wwspec.parent = MonkHelper.panel.name
InterfaceOptions_AddCategory(MonkHelper.wwspec)

MonkHelper.wwspec.default = function()
MonkHelper_Defaults()
if MHtimerbypass == 0 then
MonkHelper_UpdateUI()
end
end
MonkHelper.wwspec.okay = function()
MonkHelper_Apply()
end
MonkHelper.wwspec.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.wwspec.refresh = function()
MonkHelper_Cancel()
end

MHwwspec = CreateFrame("ScrollFrame", "MHWWSpec", MonkHelper.wwspec)
MHwwspec:SetPoint("TOPLEFT", 10, -10) 
MHwwspec:SetPoint("BOTTOMRIGHT", -30, 40) 

MHwwspeccontent = CreateFrame("Frame", "$parent_Content", MHwwspec)
MHwwspeccontent:SetPoint("CENTER")
MHwwspeccontent:SetWidth(580)
MHwwspeccontent:SetHeight(2000)
MHwwspec:SetScrollChild(MHwwspeccontent)

MHwwspecscroll = CreateFrame("Slider", "$parent_Scroll", MHwwspec, "UIPanelScrollBarTemplate")
MHwwspecscroll:SetOrientation("VERTICAL")
MHwwspecscroll:SetWidth(20)
MHwwspecscroll:SetHeight(450)
MHwwspecscroll:SetPoint("RIGHT", MonkHelper.wwspec, "RIGHT", -5, 0)
MHwwspecscroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MHwwspecscroll:SetMinMaxValues(0, 300)
MHwwspecscroll:SetValueStep(20)
MHwwspecscroll:SetValue(0)
MHwwspeccontent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MHwwspecscroll:GetValue()
if delta > 0  then
MHwwspecscroll:SetValue(scroll - MHwwspecscroll:GetValueStep())
elseif delta < 0 then
MHwwspecscroll:SetValue(scroll + MHwwspecscroll:GetValueStep())
end
end)

MHapplywwspec = CreateFrame("Button", "MHApplyWWSpec", MonkHelper.wwspec, "UIPanelButtonTemplate")
MHapplywwspec:SetHeight(20)
MHapplywwspec:SetWidth(70)
MHapplywwspec:SetText("Apply")
MHapplywwspec:ClearAllPoints()
MHapplywwspec:SetPoint("CENTER", MonkHelper.wwspec, "BOTTOMRIGHT", -50, 20)
MHapplywwspec:SetScript("OnClick", MonkHelper_Apply)
x = 50
y = 0
y = y - 20
MHcbkickshow = CreateFrame("CheckButton", "MHCBKickShow", MHwwspeccontent, "ChatConfigCheckButtonTemplate")
MHcbkickshow:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHCBKickShowText:SetText("Combo Breaker: Blackout Kick Timer")
MHcbkickshow:SetChecked(MonkHelper_Options.show.cbkick)
kickshowicon = MHcbkickshow:CreateTexture("$parent_Icon")
kickshowicon:SetTexture("Interface\\Icons\\ability_monk_roundhousekick")
kickshowicon:SetWidth(32)
kickshowicon:SetHeight(32)
kickshowicon:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHcbkickscale = CreateFrame("Slider","MHCBKickScale", MHwwspeccontent)
MHcbkickscale:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHcbkickscale:SetWidth(300)
MHcbkickscale:SetHeight(20)
MHcbkickscale:SetOrientation("HORIZONTAL")
MHcbkickscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHcbkickscale:SetMinMaxValues(0.5,2)
MHcbkickscale:SetValue(MonkHelper_Options.scale.MHcbkick)
MHcbkickscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHcbkickscale:SetScript("OnValueChanged", function (self, value) kickvalue:SetText(string.sub(value, 1, 4)) MHcbkick:SetScale(value) end)
kickheader = MHwwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
kickheader:SetPoint("BOTTOMLEFT", MHcbkickscale, "TOPLEFT")
kickheader:SetText("Combo Breaker: Blackout Kick Timer Scale")
kickvalue = MHwwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
kickvalue:SetPoint("BOTTOMRIGHT", MHcbkickscale, "TOPRIGHT")
kickvalue:SetText(string.sub(MonkHelper_Options.scale.MHcbkick, 1, 4))
--------------------------------------------------------
y = y - spacey
MHcbpalmshow = CreateFrame("CheckButton", "MHCBPalmShow", MHwwspeccontent, "ChatConfigCheckButtonTemplate")
MHcbpalmshow:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHCBPalmShowText:SetText("Combo Breaker: Tiger Palm Timer")
MHcbpalmshow:SetChecked(MonkHelper_Options.show.cbpalm)
palmshowicon = MHcbpalmshow:CreateTexture("$parent_Icon")
palmshowicon:SetTexture("Interface\\Icons\\ability_monk_tigerpalm")
palmshowicon:SetWidth(32)
palmshowicon:SetHeight(32)
palmshowicon:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHcbpalmscale = CreateFrame("Slider","MHCBPalmScale", MHwwspeccontent)
MHcbpalmscale:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHcbpalmscale:SetWidth(300)
MHcbpalmscale:SetHeight(20)
MHcbpalmscale:SetOrientation("HORIZONTAL")
MHcbpalmscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHcbpalmscale:SetMinMaxValues(0.5,2)
MHcbpalmscale:SetValue(MonkHelper_Options.scale.MHcbpalm)
MHcbpalmscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHcbpalmscale:SetScript("OnValueChanged", function (self, value) palmvalue:SetText(string.sub(value, 1, 4)) MHcbpalm:SetScale(value) end)
palmheader = MHwwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
palmheader:SetPoint("BOTTOMLEFT", MHcbpalmscale, "TOPLEFT")
palmheader:SetText("Combo Breaker: Tiger Palm Timer Scale")
palmvalue = MHwwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
palmvalue:SetPoint("BOTTOMRIGHT", MHcbpalmscale, "TOPRIGHT")
palmvalue:SetText(string.sub(MonkHelper_Options.scale.MHcbpalm, 1, 4))
--------------------------------------------------------
y = y - spacey
MHenergizingbrewshow = CreateFrame("CheckButton", "MHEnergizingBrewShow", MHwwspeccontent, "ChatConfigCheckButtonTemplate")
MHenergizingbrewshow:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHEnergizingBrewShowText:SetText("Energizing Brew Cooldown")
MHenergizingbrewshow:SetChecked(MonkHelper_Options.show.MHenergizingbrew)
ebshowicon = MHenergizingbrewshow:CreateTexture("$parent_Icon")
ebshowicon:SetTexture("Interface\\Icons\\ability_monk_energizingwine")
ebshowicon:SetWidth(32)
ebshowicon:SetHeight(32)
ebshowicon:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHenergizingbrewscale = CreateFrame("Slider","MHEnergizingBrewScale", MHwwspeccontent)
MHenergizingbrewscale:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHenergizingbrewscale:SetWidth(300)
MHenergizingbrewscale:SetHeight(20)
MHenergizingbrewscale:SetOrientation("HORIZONTAL")
MHenergizingbrewscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHenergizingbrewscale:SetMinMaxValues(0.5,2)
MHenergizingbrewscale:SetValue(MonkHelper_Options.scale.MHenergizingbrew)
MHenergizingbrewscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHenergizingbrewscale:SetScript("OnValueChanged", function (self, value) ebvalue:SetText(string.sub(value, 1, 4)) MHenergizingbrew:SetScale(value) end)
ebheader = MHwwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
ebheader:SetPoint("BOTTOMLEFT", MHenergizingbrewscale, "TOPLEFT")
ebheader:SetText("Energizing Brew Cooldown Scale")
ebvalue = MHwwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
ebvalue:SetPoint("BOTTOMRIGHT", MHenergizingbrewscale, "TOPRIGHT")
ebvalue:SetText(string.sub(MonkHelper_Options.scale.MHenergizingbrew, 1, 4))
--------------------------------------------------------
y = y - spacey
MHfistsoffuryshow = CreateFrame("CheckButton", "MHFistsofFuryShow", MHwwspeccontent, "ChatConfigCheckButtonTemplate")
MHfistsoffuryshow:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHFistsofFuryShowText:SetText("Fists of Fury Cooldown")
MHfistsoffuryshow:SetChecked(MonkHelper_Options.show.MHfistsoffury)
fofshowicon = MHfistsoffuryshow:CreateTexture("$parent_Icon")
fofshowicon:SetTexture("Interface\\Icons\\monk_ability_fistoffury")
fofshowicon:SetWidth(32)
fofshowicon:SetHeight(32)
fofshowicon:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHfistsoffuryscale = CreateFrame("Slider","MHFistsOfFuryScale", MHwwspeccontent)
MHfistsoffuryscale:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHfistsoffuryscale:SetWidth(300)
MHfistsoffuryscale:SetHeight(20)
MHfistsoffuryscale:SetOrientation("HORIZONTAL")
MHfistsoffuryscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHfistsoffuryscale:SetMinMaxValues(0.5,2)
MHfistsoffuryscale:SetValue(MonkHelper_Options.scale.MHfistsoffury)
MHfistsoffuryscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHfistsoffuryscale:SetScript("OnValueChanged", function (self, value) fofvalue:SetText(string.sub(value, 1, 4)) MHfistsoffury:SetScale(value) end)
fofheader = MHwwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
fofheader:SetPoint("BOTTOMLEFT", MHfistsoffuryscale, "TOPLEFT")
fofheader:SetText("Fists Of Fury Cooldown Scale")
fofvalue = MHwwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
fofvalue:SetPoint("BOTTOMRIGHT", MHfistsoffuryscale, "TOPRIGHT")
fofvalue:SetText(string.sub(MonkHelper_Options.scale.MHfistsoffury, 1, 4))
--------------------------------------------------------
y = y - spacey
MHflyingserpentkickshow = CreateFrame("CheckButton", "MHFlyingSerpentKickShow", MHwwspeccontent, "ChatConfigCheckButtonTemplate")
MHflyingserpentkickshow:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHFlyingSerpentKickShowText:SetText("Flying Serpent Kick Cooldown")
MHflyingserpentkickshow:SetChecked(MonkHelper_Options.show.MHflyingserpentkick)
fskshowicon = MHflyingserpentkickshow:CreateTexture("$parent_Icon")
fskshowicon:SetTexture("Interface\\Icons\\ability_monk_flyingdragonkick")
fskshowicon:SetWidth(32)
fskshowicon:SetHeight(32)
fskshowicon:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHflyingserpentkickscale = CreateFrame("Slider","MHFlyingSerpentKickScale", MHwwspeccontent)
MHflyingserpentkickscale:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHflyingserpentkickscale:SetWidth(300)
MHflyingserpentkickscale:SetHeight(20)
MHflyingserpentkickscale:SetOrientation("HORIZONTAL")
MHflyingserpentkickscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHflyingserpentkickscale:SetMinMaxValues(0.5,2)
MHflyingserpentkickscale:SetValue(MonkHelper_Options.scale.MHflyingserpentkick)
MHflyingserpentkickscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHflyingserpentkickscale:SetScript("OnValueChanged", function (self, value) fskvalue:SetText(string.sub(value, 1, 4)) MHflyingserpentkick:SetScale(value) end)
fskheader = MHwwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
fskheader:SetPoint("BOTTOMLEFT", MHflyingserpentkickscale, "TOPLEFT")
fskheader:SetText("Flying Serpent Kick Cooldown Scale")
fskvalue = MHwwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
fskvalue:SetPoint("BOTTOMRIGHT", MHflyingserpentkickscale, "TOPRIGHT")
fskvalue:SetText(string.sub(MonkHelper_Options.scale.MHflyingserpentkick, 1, 4))
------------------------------------------------------------
y = y - spacey
MHrisingsunkickshow = CreateFrame("CheckButton", "MHRisingSunKickShow", MHwwspeccontent, "ChatConfigCheckButtonTemplate")
MHrisingsunkickshow:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHRisingSunKickShowText:SetText("Rising Sun Kick Cooldown")
MHrisingsunkickshow:SetChecked(MonkHelper_Options.show.MHrisingsunkick)
rskshowicon = MHrisingsunkickshow:CreateTexture("$parent_Icon")
rskshowicon:SetTexture("Interface\\Icons\\ability_monk_risingsunkick")
rskshowicon:SetWidth(32)
rskshowicon:SetHeight(32)
rskshowicon:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHrisingsunkickscale = CreateFrame("Slider","MHRisingSunKickScale", MHwwspeccontent)
MHrisingsunkickscale:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHrisingsunkickscale:SetWidth(300)
MHrisingsunkickscale:SetHeight(20)
MHrisingsunkickscale:SetOrientation("HORIZONTAL")
MHrisingsunkickscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHrisingsunkickscale:SetMinMaxValues(0.5,2)
MHrisingsunkickscale:SetValue(MonkHelper_Options.scale.MHrisingsunkick)
MHrisingsunkickscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHrisingsunkickscale:SetScript("OnValueChanged", function (self, value) rskvalue:SetText(string.sub(value, 1, 4)) MHrisingsunkick:SetScale(value) end)
rskheader = MHwwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
rskheader:SetPoint("BOTTOMLEFT", MHrisingsunkickscale, "TOPLEFT")
rskheader:SetText("Rising Sun Kick Cooldown Scale")
rskvalue = MHwwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
rskvalue:SetPoint("BOTTOMRIGHT", MHrisingsunkickscale, "TOPRIGHT")
rskvalue:SetText(string.sub(MonkHelper_Options.scale.MHrisingsunkick, 1, 4))
--------------------------------------------------------
y = y - spacey
MHsparringshow = CreateFrame("CheckButton", "MHSparringShow", MHwwspeccontent, "ChatConfigCheckButtonTemplate")
MHsparringshow:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHSparringShowText:SetText("Sparring Cooldown")
MHsparringshow:SetChecked(MonkHelper_Options.show.MHsparring)
sparshowicon = MHsparringshow:CreateTexture("$parent_Icon")
sparshowicon:SetTexture("Interface\\Icons\\ability_monk_sparring")
sparshowicon:SetWidth(32)
sparshowicon:SetHeight(32)
sparshowicon:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHsparringscale = CreateFrame("Slider","MHSparringScale", MHwwspeccontent)
MHsparringscale:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHsparringscale:SetWidth(300)
MHsparringscale:SetHeight(20)
MHsparringscale:SetOrientation("HORIZONTAL")
MHsparringscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHsparringscale:SetMinMaxValues(0.5,2)
MHsparringscale:SetValue(MonkHelper_Options.scale.MHsparring)
MHsparringscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHsparringscale:SetScript("OnValueChanged", function (self, value) sparvalue:SetText(string.sub(value, 1, 4)) MHsparring:SetScale(value) end)
sparheader = MHwwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
sparheader:SetPoint("BOTTOMLEFT", MHsparringscale, "TOPLEFT")
sparheader:SetText("Sparring Cooldown Scale")
sparvalue = MHwwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
sparvalue:SetPoint("BOTTOMRIGHT", MHsparringscale, "TOPRIGHT")
sparvalue:SetText(string.sub(MonkHelper_Options.scale.MHsparring, 1, 4))
--------------------------------------------------------
y = y - spacey
MHtouchofkarmashow = CreateFrame("CheckButton", "MHTouchOfKarmaShow", MHwwspeccontent, "ChatConfigCheckButtonTemplate")
MHtouchofkarmashow:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHTouchOfKarmaShowText:SetText("Touch Of Karma Cooldown")
MHtouchofkarmashow:SetChecked(MonkHelper_Options.show.MHtouchofkarma)
tokshowicon = MHtouchofkarmashow:CreateTexture("$parent_Icon")
tokshowicon:SetTexture("Interface\\Icons\\ability_monk_touchofkarma")
tokshowicon:SetWidth(32)
tokshowicon:SetHeight(32)
tokshowicon:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHtouchofkarmascale = CreateFrame("Slider","MHTouchOfKarmaScale", MHwwspeccontent)
MHtouchofkarmascale:SetPoint("TOPLEFT", MHwwspeccontent, "TOPLEFT", x, y)
MHtouchofkarmascale:SetWidth(300)
MHtouchofkarmascale:SetHeight(20)
MHtouchofkarmascale:SetOrientation("HORIZONTAL")
MHtouchofkarmascale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtouchofkarmascale:SetMinMaxValues(0.5,2)
MHtouchofkarmascale:SetValue(MonkHelper_Options.scale.MHtouchofkarma)
MHtouchofkarmascale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtouchofkarmascale:SetScript("OnValueChanged", function (self, value) tokvalue:SetText(string.sub(value, 1, 4)) MHtouchofkarma:SetScale(value) end)
tokheader = MHwwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
tokheader:SetPoint("BOTTOMLEFT", MHtouchofkarmascale, "TOPLEFT")
tokheader:SetText("Touch Of Karma Cooldown Scale")
tokvalue = MHwwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
tokvalue:SetPoint("BOTTOMRIGHT", MHtouchofkarmascale, "TOPRIGHT")
tokvalue:SetText(string.sub(MonkHelper_Options.scale.MHtouchofkarma, 1, 4))
--------------------------------------------------------
------------Brewmaster---------------------------------------------
MonkHelper.bmspec = CreateFrame("Frame", "MHBMSpecOpt", UIParent)
MonkHelper.bmspec.name = "BrewMaster"
MonkHelper.bmspec.parent = MonkHelper.panel.name
InterfaceOptions_AddCategory(MonkHelper.bmspec)

MonkHelper.bmspec.default = function()
MonkHelper_Defaults()
if MHtimerbypass == 0 then
MonkHelper_UpdateUI()
end
end
MonkHelper.bmspec.okay = function()
MonkHelper_Apply()
end
MonkHelper.bmspec.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.bmspec.refresh = function()
MonkHelper_Cancel()
end

MHbmspec = CreateFrame("ScrollFrame", "MHBMSpec", MonkHelper.bmspec)
MHbmspec:SetPoint("TOPLEFT", 10, -10) 
MHbmspec:SetPoint("BOTTOMRIGHT", -30, 40) 

MHbmspeccontent = CreateFrame("Frame", "$parent_Content", MHbmspec)
MHbmspeccontent:SetPoint("CENTER")
MHbmspeccontent:SetWidth(580)
MHbmspeccontent:SetHeight(2000)
MHbmspec:SetScrollChild(MHbmspeccontent)

MHbmspecscroll = CreateFrame("Slider", "$parent_Scroll", MHbmspec, "UIPanelScrollBarTemplate")
MHbmspecscroll:SetOrientation("VERTICAL")
MHbmspecscroll:SetWidth(20)
MHbmspecscroll:SetHeight(450)
MHbmspecscroll:SetPoint("RIGHT", MonkHelper.bmspec, "RIGHT", -5, 0)
MHbmspecscroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MHbmspecscroll:SetMinMaxValues(0, 560)
MHbmspecscroll:SetValueStep(20)
MHbmspecscroll:SetValue(0)
MHbmspeccontent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MHbmspecscroll:GetValue()
if delta > 0  then
MHbmspecscroll:SetValue(scroll - MHbmspecscroll:GetValueStep())
elseif delta < 0 then
MHbmspecscroll:SetValue(scroll + MHbmspecscroll:GetValueStep())
end
end)

MHapplybmspec = CreateFrame("Button", "MHApplyBMSpec", MonkHelper.bmspec, "UIPanelButtonTemplate")
MHapplybmspec:SetHeight(20)
MHapplybmspec:SetWidth(70)
MHapplybmspec:SetText("Apply")
MHapplybmspec:ClearAllPoints()
MHapplybmspec:SetPoint("CENTER", MonkHelper.bmspec, "BOTTOMRIGHT", -50, 20)
MHapplybmspec:SetScript("OnClick", MonkHelper_Apply)
-------------------------------------------------------------------
y = 0
y = y - 20
MHavertharmshow = CreateFrame("CheckButton", "MHAvertHarmShow", MHbmspeccontent, "ChatConfigCheckButtonTemplate")
MHavertharmshow:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHAvertHarmShowText:SetText("Avert Harm Cooldown")
MHavertharmshow:SetChecked(MonkHelper_Options.show.MHavertharm)
ahshowicon = MHavertharmshow:CreateTexture("$parent_Icon")
ahshowicon:SetTexture("Interface\\Icons\\monk_ability_avertharm")
ahshowicon:SetWidth(32)
ahshowicon:SetHeight(32)
ahshowicon:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHavertharmscale = CreateFrame("Slider","MHAvertHarmScale", MHbmspeccontent)
MHavertharmscale:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHavertharmscale:SetWidth(300)
MHavertharmscale:SetHeight(20)
MHavertharmscale:SetOrientation("HORIZONTAL")
MHavertharmscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHavertharmscale:SetMinMaxValues(0.5,2)
MHavertharmscale:SetValue(MonkHelper_Options.scale.MHavertharm)
MHavertharmscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHavertharmscale:SetScript("OnValueChanged", function (self, value) ahvalue:SetText(string.sub(value, 1, 4)) MHavertharm:SetScale(value) end)
ahheader = MHbmspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
ahheader:SetPoint("BOTTOMLEFT", MHavertharmscale, "TOPLEFT")
ahheader:SetText("Avert Harm Cooldown Scale")
ahvalue = MHbmspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
ahvalue:SetPoint("BOTTOMRIGHT", MHavertharmscale, "TOPRIGHT")
ahvalue:SetText(string.sub(MonkHelper_Options.scale.MHavertharm, 1, 4))
---------------------------------------------------------
y = y - spacey
MHclashshow = CreateFrame("CheckButton", "MHClashShow", MHbmspeccontent, "ChatConfigCheckButtonTemplate")
MHclashshow:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHClashShowText:SetText("Clash Cooldown")
MHclashshow:SetChecked(MonkHelper_Options.show.MHclash)
cshowicon = MHclashshow:CreateTexture("$parent_Icon")
cshowicon:SetTexture("Interface\\Icons\\ability_monk_clashingoxcharge")
cshowicon:SetWidth(32)
cshowicon:SetHeight(32)
cshowicon:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHclashscale = CreateFrame("Slider","MHClashScale", MHbmspeccontent)
MHclashscale:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHclashscale:SetWidth(300)
MHclashscale:SetHeight(20)
MHclashscale:SetOrientation("HORIZONTAL")
MHclashscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHclashscale:SetMinMaxValues(0.5,2)
MHclashscale:SetValue(MonkHelper_Options.scale.MHclash)
MHclashscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHclashscale:SetScript("OnValueChanged", function (self, value) clashvalue:SetText(string.sub(value, 1, 4)) MHclash:SetScale(value) end)
clashheader = MHbmspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
clashheader:SetPoint("BOTTOMLEFT", MHclashscale, "TOPLEFT")
clashheader:SetText("Clash Cooldown Scale")
clashvalue = MHbmspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
clashvalue:SetPoint("BOTTOMRIGHT", MHclashscale, "TOPRIGHT")
clashvalue:SetText(string.sub(MonkHelper_Options.scale.MHclash, 1, 4))
---------------------------------------------------------
y = y - spacey
MHdesperatemeasuresnotificationshow = CreateFrame("CheckButton", "MHDesperateMeasuresNotificationShow", MHbmspeccontent, "ChatConfigCheckButtonTemplate")
MHdesperatemeasuresnotificationshow:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHDesperateMeasuresNotificationShowText:SetText("Desperate Measures Notification |cFFFFEA00(When HP Is Within Range)|r")
MHdesperatemeasuresnotificationshow:SetChecked(MonkHelper_Options.show.MHguard)
dmshowicon = MHdesperatemeasuresnotificationshow:CreateTexture("$parent_Icon")
dmshowicon:SetTexture("Interface\\Icons\\spell_nature_shamanrage")
dmshowicon:SetWidth(32)
dmshowicon:SetHeight(32)
dmshowicon:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHdesperatemeasuresnotificationscale = CreateFrame("Slider","MHDesperateMeasuresNotificationScale", MHbmspeccontent)
MHdesperatemeasuresnotificationscale:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHdesperatemeasuresnotificationscale:SetWidth(300)
MHdesperatemeasuresnotificationscale:SetHeight(20)
MHdesperatemeasuresnotificationscale:SetOrientation("HORIZONTAL")
MHdesperatemeasuresnotificationscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHdesperatemeasuresnotificationscale:SetMinMaxValues(0.5,2)
MHdesperatemeasuresnotificationscale:SetValue(MonkHelper_Options.scale.MHdesperatemeasuresnotification)
MHdesperatemeasuresnotificationscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHdesperatemeasuresnotificationscale:SetScript("OnValueChanged", function (self, value) despmvalue:SetText(string.sub(value, 1, 4)) MHdesperatemeasuresnotification:SetScale(value) end)
dmheader = MHbmspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
dmheader:SetPoint("BOTTOMLEFT", MHdesperatemeasuresnotificationscale, "TOPLEFT")
dmheader:SetText("Desperate Measures Notification Scale")
despmvalue = MHbmspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
despmvalue:SetPoint("BOTTOMRIGHT", MHdesperatemeasuresnotificationscale, "TOPRIGHT")
despmvalue:SetText(string.sub(MonkHelper_Options.scale.MHdesperatemeasuresnotification, 1, 4))
---------------------------------------------------------
y = y - spacey
MHguardshow = CreateFrame("CheckButton", "MHGuardShow", MHbmspeccontent, "ChatConfigCheckButtonTemplate")
MHguardshow:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHGuardShowText:SetText("Guard Cooldown")
MHguardshow:SetChecked(MonkHelper_Options.show.MHguard)
gshowicon = MHguardshow:CreateTexture("$parent_Icon")
gshowicon:SetTexture("Interface\\Icons\\ability_monk_guard")
gshowicon:SetWidth(32)
gshowicon:SetHeight(32)
gshowicon:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHguardscale = CreateFrame("Slider","MHGuardScale", MHbmspeccontent)
MHguardscale:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHguardscale:SetWidth(300)
MHguardscale:SetHeight(20)
MHguardscale:SetOrientation("HORIZONTAL")
MHguardscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHguardscale:SetMinMaxValues(0.5,2)
MHguardscale:SetValue(MonkHelper_Options.scale.MHguard)
MHguardscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHguardscale:SetScript("OnValueChanged", function (self, value) guardvalue:SetText(string.sub(value, 1, 4)) MHguard:SetScale(value) end)
guardheader = MHbmspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
guardheader:SetPoint("BOTTOMLEFT", MHguardscale, "TOPLEFT")
guardheader:SetText("Guard Cooldown Scale")
guardvalue = MHbmspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
guardvalue:SetPoint("BOTTOMRIGHT", MHguardscale, "TOPRIGHT")
guardvalue:SetText(string.sub(MonkHelper_Options.scale.MHguard, 1, 4))
---------------------------------------------------------
y = y - spacey
MHkegsmashshow = CreateFrame("CheckButton", "MHKegSmashShow", MHbmspeccontent, "ChatConfigCheckButtonTemplate")
MHkegsmashshow:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHKegSmashShowText:SetText("Keg Smash Cooldown")
MHkegsmashshow:SetChecked(MonkHelper_Options.show.MHkegsmash)
ksshowicon = MHkegsmashshow:CreateTexture("$parent_Icon")
ksshowicon:SetTexture("Interface\\Icons\\achievement_brewery_2")
ksshowicon:SetWidth(32)
ksshowicon:SetHeight(32)
ksshowicon:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHkegsmashscale = CreateFrame("Slider","MHKegSmashScale", MHbmspeccontent)
MHkegsmashscale:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHkegsmashscale:SetWidth(300)
MHkegsmashscale:SetHeight(20)
MHkegsmashscale:SetOrientation("HORIZONTAL")
MHkegsmashscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHkegsmashscale:SetMinMaxValues(0.5,2)
MHkegsmashscale:SetValue(MonkHelper_Options.scale.MHkegsmash)
MHkegsmashscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHkegsmashscale:SetScript("OnValueChanged", function (self, value) ksvalue:SetText(string.sub(value, 1, 4)) MHkegsmash:SetScale(value) end)
ksheader = MHbmspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
ksheader:SetPoint("BOTTOMLEFT", MHkegsmashscale, "TOPLEFT")
ksheader:SetText("Keg Smash Cooldown Scale")
ksvalue = MHbmspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
ksvalue:SetPoint("BOTTOMRIGHT", MHkegsmashscale, "TOPRIGHT")
ksvalue:SetText(string.sub(MonkHelper_Options.scale.MHkegsmash, 1, 4))
---------------------------------------------------------
y = y - spacey
MHsanctuaryshow = CreateFrame("CheckButton", "MHSanctuaryShow", MHbmspeccontent, "ChatConfigCheckButtonTemplate")
MHsanctuaryshow:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHSanctuaryShowText:SetText("Sanctuary Tracker |cFFFFEA00(Tracks The Remaining Damage To Proc The Shield; Also Tracks \nSummon Black Ox Statue Cooldown)|r")
MHsanctuaryshow:SetChecked(MonkHelper_Options.show.MHsanctuary)
sanctshowicon = MHsanctuaryshow:CreateTexture("$parent_Icon")
sanctshowicon:SetTexture("Interface\\Icons\\monk_ability_summonoxstatue")
sanctshowicon:SetWidth(32)
sanctshowicon:SetHeight(32)
sanctshowicon:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x - 41, y + 4)
---------------------------------------------------------
y = y - 30
MHsanctuarymsg = CreateFrame("CheckButton", "MHSanctuaryMSG", MHbmspeccontent, "ChatConfigCheckButtonTemplate")
MHsanctuarymsg:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHSanctuaryMSGText:SetText("Announce Sanctuary Procs While In A Group")
MHsanctuarymsg:SetChecked(MonkHelper_Options.sanctuarymsg)
y = y - scaley
MHsanctuaryscale = CreateFrame("Slider","MHSanctuaryScale", MHbmspeccontent)
MHsanctuaryscale:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHsanctuaryscale:SetWidth(300)
MHsanctuaryscale:SetHeight(20)
MHsanctuaryscale:SetOrientation("HORIZONTAL")
MHsanctuaryscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHsanctuaryscale:SetMinMaxValues(0.5,2)
MHsanctuaryscale:SetValue(MonkHelper_Options.scale.MHsanctuary)
MHsanctuaryscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHsanctuaryscale:SetScript("OnValueChanged", function (self, value) sanctvalue:SetText(string.sub(value, 1, 4)) MHsanctuary:SetScale(value) end)
sanctheader = MHbmspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
sanctheader:SetPoint("BOTTOMLEFT", MHsanctuaryscale, "TOPLEFT")
sanctheader:SetText("Sanctuary Tracker Scale")
sanctvalue = MHbmspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
sanctvalue:SetPoint("BOTTOMRIGHT", MHsanctuaryscale, "TOPRIGHT")
sanctvalue:SetText(string.sub(MonkHelper_Options.scale.MHsanctuary, 1, 4))
---------------------------------------------------------
y = y - spacey
MHshuffleshow = CreateFrame("CheckButton", "MHShuffleShow", MHbmspeccontent, "ChatConfigCheckButtonTemplate")
MHshuffleshow:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHShuffleShowText:SetText("Shuffle Timer")
MHshuffleshow:SetChecked(MonkHelper_Options.show.MHshuffle)
shuffleshowicon = MHshuffleshow:CreateTexture("$parent_Icon")
shuffleshowicon:SetTexture("Interface\\Icons\\ability_monk_shuffle")
shuffleshowicon:SetWidth(32)
shuffleshowicon:SetHeight(32)
shuffleshowicon:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHshufflescale = CreateFrame("Slider","MHShuffleScale", MHbmspeccontent)
MHshufflescale:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHshufflescale:SetWidth(300)
MHshufflescale:SetHeight(20)
MHshufflescale:SetOrientation("HORIZONTAL")
MHshufflescale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHshufflescale:SetMinMaxValues(0.5,2)
MHshufflescale:SetValue(MonkHelper_Options.scale.MHshuffle)
MHshufflescale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHshufflescale:SetScript("OnValueChanged", function (self, value) shufflevalue:SetText(string.sub(value, 1, 4)) MHshuffle:SetScale(value) end)
shuffleheader = MHbmspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
shuffleheader:SetPoint("BOTTOMLEFT", MHshufflescale, "TOPLEFT")
shuffleheader:SetText("Shuffle Timer Scale")
shufflevalue = MHbmspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
shufflevalue:SetPoint("BOTTOMRIGHT", MHshufflescale, "TOPRIGHT")
shufflevalue:SetText(string.sub(MonkHelper_Options.scale.MHshuffle, 1, 4))
---------------------------------------------------------
y = y - spacey
MHstaggershow = CreateFrame("CheckButton", "MHStaggerShow", MHbmspeccontent, "ChatConfigCheckButtonTemplate")
MHstaggershow:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHStaggerShowText:SetText("Stagger Tracker |cFFFFEA00(Shows How Much Damage You Are Currently Staggering)|r")
MHstaggershow:SetChecked(MonkHelper_Options.show.MHstagger)
staggershowicon = MHstaggershow:CreateTexture("$parent_Icon")
staggershowicon:SetTexture("Interface\\Icons\\priest_icon_chakra")
staggershowicon:SetWidth(32)
staggershowicon:SetHeight(32)
staggershowicon:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x - 41, y + 4)
---------------------------------------------------------
y = y - 20
MHstaggerpercent = CreateFrame("CheckButton", "MHStaggerPercent", MHbmspeccontent, "ChatConfigCheckButtonTemplate")
MHstaggerpercent:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHStaggerPercentText:SetText("Show Stagger As %")
MHstaggerpercent:SetChecked(MonkHelper_Options.staggerpercent)
---------------------------------------------------------
y = y - 20
MHstaggernumber = CreateFrame("CheckButton", "MHStaggerNumber", MHbmspeccontent, "ChatConfigCheckButtonTemplate")
MHstaggernumber:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHStaggerNumberText:SetText("Show Stagger As #")
MHstaggernumber:SetChecked(MonkHelper_Options.staggernumber)
y = y - scaley
MHstaggerscale = CreateFrame("Slider","MHStaggerScale", MHbmspeccontent)
MHstaggerscale:SetPoint("TOPLEFT", MHbmspeccontent, "TOPLEFT", x, y)
MHstaggerscale:SetWidth(300)
MHstaggerscale:SetHeight(20)
MHstaggerscale:SetOrientation("HORIZONTAL")
MHstaggerscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHstaggerscale:SetMinMaxValues(0.5,2)
MHstaggerscale:SetValue(MonkHelper_Options.scale.MHstagger)
MHstaggerscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHstaggerscale:SetScript("OnValueChanged", function (self, value) staggervalue:SetText(string.sub(value, 1, 4)) MHstagger:SetScale(value) end)
staggerheader = MHbmspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
staggerheader:SetPoint("BOTTOMLEFT", MHstaggerscale, "TOPLEFT")
staggerheader:SetText("Stagger Tracker Scale")
staggervalue = MHbmspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
staggervalue:SetPoint("BOTTOMRIGHT", MHstaggerscale, "TOPRIGHT")
staggervalue:SetText(string.sub(MonkHelper_Options.scale.MHstagger, 1, 4))
------------------------------------------------------------------------

--------------Mistweaver-------------------------------------------
MonkHelper.mwspec = CreateFrame("Frame", "MHMWSpecOpt", UIParent)
MonkHelper.mwspec.name = "MistWeaver"
MonkHelper.mwspec.parent = MonkHelper.panel.name
InterfaceOptions_AddCategory(MonkHelper.mwspec)

MonkHelper.mwspec.default = function()
MonkHelper_Defaults()
if MHtimerbypass == 0 then
MonkHelper_UpdateUI()
end
end
MonkHelper.mwspec.okay = function()
MonkHelper_Apply()
end
MonkHelper.mwspec.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.mwspec.refresh = function()
MonkHelper_Cancel()
end

MHmwspec = CreateFrame("ScrollFrame", "MHMWSpec", MonkHelper.mwspec)
MHmwspec:SetPoint("TOPLEFT", 10, -10) 
MHmwspec:SetPoint("BOTTOMRIGHT", -30, 40) 

MHmwspeccontent = CreateFrame("Frame", "$parent_Content", MHmwspec)
MHmwspeccontent:SetPoint("CENTER")
MHmwspeccontent:SetWidth(580)
MHmwspeccontent:SetHeight(2000)
MHmwspec:SetScrollChild(MHmwspeccontent)

MHmwspecscroll = CreateFrame("Slider", "$parent_Scroll", MHmwspec, "UIPanelScrollBarTemplate")
MHmwspecscroll:SetOrientation("VERTICAL")
MHmwspecscroll:SetWidth(20)
MHmwspecscroll:SetHeight(450)
MHmwspecscroll:SetPoint("RIGHT", MonkHelper.mwspec, "RIGHT", -5, 0)
MHmwspecscroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MHmwspecscroll:SetMinMaxValues(0, 300)
MHmwspecscroll:SetValueStep(20)
MHmwspecscroll:SetValue(0)
MHmwspeccontent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MHmwspecscroll:GetValue()
if delta > 0  then
MHmwspecscroll:SetValue(scroll - MHmwspecscroll:GetValueStep())
elseif delta < 0 then
MHmwspecscroll:SetValue(scroll + MHmwspecscroll:GetValueStep())
end
end)

MHapplymwspec = CreateFrame("Button", "MHApplyMWSpec", MonkHelper.mwspec, "UIPanelButtonTemplate")
MHapplymwspec:SetHeight(20)
MHapplymwspec:SetWidth(70)
MHapplymwspec:SetText("Apply")
MHapplymwspec:ClearAllPoints()
MHapplymwspec:SetPoint("CENTER", MonkHelper.mwspec, "BOTTOMRIGHT", -50, 20)
MHapplymwspec:SetScript("OnClick", MonkHelper_Apply)
-------------------------------------------------------------------
y = 0 
y = y - 20
MHdematerializeshow = CreateFrame("CheckButton", "MHDematerializeShow", MHmwspeccontent, "ChatConfigCheckButtonTemplate")
MHdematerializeshow:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHDematerializeShowText:SetText("Dematerialize Cooldown")
MHdematerializeshow:SetChecked(MonkHelper_Options.show.MHdematerialize)
dmshowicon = MHdematerializeshow:CreateTexture("$parent_Icon")
dmshowicon:SetTexture("Interface\\Icons\\spell_arcane_arcane04")
dmshowicon:SetWidth(32)
dmshowicon:SetHeight(32)
dmshowicon:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHdematerializescale = CreateFrame("Slider","MHDematerializeScale", MHmwspeccontent)
MHdematerializescale:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHdematerializescale:SetWidth(300)
MHdematerializescale:SetHeight(20)
MHdematerializescale:SetOrientation("HORIZONTAL")
MHdematerializescale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHdematerializescale:SetMinMaxValues(0.5,2)
MHdematerializescale:SetValue(MonkHelper_Options.scale.MHdematerialize)
MHdematerializescale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHdematerializescale:SetScript("OnValueChanged", function (self, value) dmvalue:SetText(string.sub(value, 1, 4)) MHdematerialize:SetScale(value) end)
dmheader = MHmwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
dmheader:SetPoint("BOTTOMLEFT", MHdematerializescale, "TOPLEFT")
dmheader:SetText("Dematerialize Cooldown Scale")
dmvalue = MHmwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
dmvalue:SetPoint("BOTTOMRIGHT", MHdematerializescale, "TOPRIGHT")
dmvalue:SetText(string.sub(MonkHelper_Options.scale.MHdematerialize, 1, 4))
---------------------------------------------------------
y = y - spacey
MHlifecocoonshow = CreateFrame("CheckButton", "MHLifeCocoonShow", MHmwspeccontent, "ChatConfigCheckButtonTemplate")
MHlifecocoonshow:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHLifeCocoonShowText:SetText("Life Cocoon Cooldown")
MHlifecocoonshow:SetChecked(MonkHelper_Options.show.MHlifecocoon)
lcshowicon = MHlifecocoonshow:CreateTexture("$parent_Icon")
lcshowicon:SetTexture("Interface\\Icons\\ability_monk_chicocoon")
lcshowicon:SetWidth(32)
lcshowicon:SetHeight(32)
lcshowicon:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHlifecocoonscale = CreateFrame("Slider","MHLifeCocoonScale", MHmwspeccontent)
MHlifecocoonscale:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHlifecocoonscale:SetWidth(300)
MHlifecocoonscale:SetHeight(20)
MHlifecocoonscale:SetOrientation("HORIZONTAL")
MHlifecocoonscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHlifecocoonscale:SetMinMaxValues(0.5,2)
MHlifecocoonscale:SetValue(MonkHelper_Options.scale.MHlifecocoon)
MHlifecocoonscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHlifecocoonscale:SetScript("OnValueChanged", function (self, value) lcvalue:SetText(string.sub(value, 1, 4)) MHlifecocoon:SetScale(value) end)
lcheader = MHmwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
lcheader:SetPoint("BOTTOMLEFT", MHlifecocoonscale, "TOPLEFT")
lcheader:SetText("Life Cocoon Cooldown Scale")
lcvalue = MHmwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
lcvalue:SetPoint("BOTTOMRIGHT", MHlifecocoonscale, "TOPRIGHT")
lcvalue:SetText(string.sub(MonkHelper_Options.scale.MHlifecocoon, 1, 4))
---------------------------------------------------------
y = y - spacey
MHrenewingmistshow = CreateFrame("CheckButton", "MHRenewingMistShow", MHmwspeccontent, "ChatConfigCheckButtonTemplate")
MHrenewingmistshow:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHRenewingMistShowText:SetText("Renewing Mist Cooldown")
MHrenewingmistshow:SetChecked(MonkHelper_Options.show.MHrenewingmist)
rmshowicon = MHrenewingmistshow:CreateTexture("$parent_Icon")
rmshowicon:SetTexture("Interface\\Icons\\ability_monk_renewingmists")
rmshowicon:SetWidth(32)
rmshowicon:SetHeight(32)
rmshowicon:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHrenewingmistscale = CreateFrame("Slider","MHRenewingMistScale", MHmwspeccontent)
MHrenewingmistscale:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHrenewingmistscale:SetWidth(300)
MHrenewingmistscale:SetHeight(20)
MHrenewingmistscale:SetOrientation("HORIZONTAL")
MHrenewingmistscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHrenewingmistscale:SetMinMaxValues(0.5,2)
MHrenewingmistscale:SetValue(MonkHelper_Options.scale.MHrenewingmist)
MHrenewingmistscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHrenewingmistscale:SetScript("OnValueChanged", function (self, value) rmvalue:SetText(string.sub(value, 1, 4)) MHrenewingmist:SetScale(value) end)
rmheader = MHmwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
rmheader:SetPoint("BOTTOMLEFT", MHrenewingmistscale, "TOPLEFT")
rmheader:SetText("Renewing Mist Cooldown Scale")
rmvalue = MHmwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
rmvalue:SetPoint("BOTTOMRIGHT", MHrenewingmistscale, "TOPRIGHT")
rmvalue:SetText(string.sub(MonkHelper_Options.scale.MHrenewingmist, 1, 4))
---------------------------------------------------------
y = y - spacey
MHreviveshow = CreateFrame("CheckButton", "MHReviveShow", MHmwspeccontent, "ChatConfigCheckButtonTemplate")
MHreviveshow:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHReviveShowText:SetText("Revival Cooldown")
MHreviveshow:SetChecked(MonkHelper_Options.show.MHrevive)
rshowicon = MHreviveshow:CreateTexture("$parent_Icon")
rshowicon:SetTexture("Interface\\Icons\\spell_shaman_blessingofeternals")
rshowicon:SetWidth(32)
rshowicon:SetHeight(32)
rshowicon:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHrevivescale = CreateFrame("Slider","MHReviveScale", MHmwspeccontent)
MHrevivescale:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHrevivescale:SetWidth(300)
MHrevivescale:SetHeight(20)
MHrevivescale:SetOrientation("HORIZONTAL")
MHrevivescale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHrevivescale:SetMinMaxValues(0.5,2)
MHrevivescale:SetValue(MonkHelper_Options.scale.MHrevive)
MHrevivescale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHrevivescale:SetScript("OnValueChanged", function (self, value) rvalue:SetText(string.sub(value, 1, 4)) MHrevive:SetScale(value) end)
rheader = MHmwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
rheader:SetPoint("BOTTOMLEFT", MHrevivescale, "TOPLEFT")
rheader:SetText("Revival Cooldown Scale")
rvalue = MHmwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
rvalue:SetPoint("BOTTOMRIGHT", MHrevivescale, "TOPRIGHT")
rvalue:SetText(string.sub(MonkHelper_Options.scale.MHrevive, 1, 4))
---------------------------------------------------------
y = y - spacey
MHserpentszealshow = CreateFrame("CheckButton", "MHSerpentsZealShow", MHmwspeccontent, "ChatConfigCheckButtonTemplate")
MHserpentszealshow:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHSerpentsZealShowText:SetText("Serpent's Zeal Timer")
MHserpentszealshow:SetChecked(MonkHelper_Options.show.MHserpentszeal)
szshowicon = MHserpentszealshow:CreateTexture("$parent_Icon")
szshowicon:SetTexture("Interface\\Icons\\ability_monk_ascension")
szshowicon:SetWidth(32)
szshowicon:SetHeight(32)
szshowicon:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHserpentszealscale = CreateFrame("Slider","MHSerpentsZealScale", MHmwspeccontent)
MHserpentszealscale:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHserpentszealscale:SetWidth(300)
MHserpentszealscale:SetHeight(20)
MHserpentszealscale:SetOrientation("HORIZONTAL")
MHserpentszealscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHserpentszealscale:SetMinMaxValues(0.5,2)
MHserpentszealscale:SetValue(MonkHelper_Options.scale.MHserpentszeal)
MHserpentszealscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHserpentszealscale:SetScript("OnValueChanged", function (self, value) szvalue:SetText(string.sub(value, 1, 4)) MHserpentszeal:SetScale(value) end)
szheader = MHmwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
szheader:SetPoint("BOTTOMLEFT", MHserpentszealscale, "TOPLEFT")
szheader:SetText("Serpent's Zeal Timer Scale")
szvalue = MHmwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
szvalue:SetPoint("BOTTOMRIGHT", MHserpentszealscale, "TOPRIGHT")
szvalue:SetText(string.sub(MonkHelper_Options.scale.MHserpentszeal, 1, 4))
---------------------------------------------------------
y = y - spacey
MHsummonjadeserpentstatueshow = CreateFrame("CheckButton", "MHSummonJadeSerpentStatueShow", MHmwspeccontent, "ChatConfigCheckButtonTemplate")
MHsummonjadeserpentstatueshow:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHSummonJadeSerpentStatueShowText:SetText("Summon Jade Serpent Statue Cooldown")
MHsummonjadeserpentstatueshow:SetChecked(MonkHelper_Options.show.MHsummonjadeserpentstatue)
sjssshowicon = MHsummonjadeserpentstatueshow:CreateTexture("$parent_Icon")
sjssshowicon:SetTexture("Interface\\Icons\\ability_monk_summonserpentstatue")
sjssshowicon:SetWidth(32)
sjssshowicon:SetHeight(32)
sjssshowicon:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHsummonjadeserpentstatuescale = CreateFrame("Slider","MHSummonJadeSerpentStatueScale", MHmwspeccontent)
MHsummonjadeserpentstatuescale:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHsummonjadeserpentstatuescale:SetWidth(300)
MHsummonjadeserpentstatuescale:SetHeight(20)
MHsummonjadeserpentstatuescale:SetOrientation("HORIZONTAL")
MHsummonjadeserpentstatuescale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHsummonjadeserpentstatuescale:SetMinMaxValues(0.5,2)
MHsummonjadeserpentstatuescale:SetValue(MonkHelper_Options.scale.MHsummonjadeserpentstatue)
MHsummonjadeserpentstatuescale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHsummonjadeserpentstatuescale:SetScript("OnValueChanged", function (self, value) sjssvalue:SetText(string.sub(value, 1, 4)) MHsummonjadeserpentstatue:SetScale(value) end)
sjssheader = MHmwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
sjssheader:SetPoint("BOTTOMLEFT", MHsummonjadeserpentstatuescale, "TOPLEFT")
sjssheader:SetText("Jade Serpent Statue Cooldown Scale")
sjssvalue = MHmwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
sjssvalue:SetPoint("BOTTOMRIGHT", MHsummonjadeserpentstatuescale, "TOPRIGHT")
sjssvalue:SetText(string.sub(MonkHelper_Options.scale.MHsummonjadeserpentstatue, 1, 4))
---------------------------------------------------------
y = y - spacey
MHthunderfocusteashow = CreateFrame("CheckButton", "MHThunderFocusTeaShow", MHmwspeccontent, "ChatConfigCheckButtonTemplate")
MHthunderfocusteashow:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHThunderFocusTeaShowText:SetText("Thunder Focus Tea Cooldown")
MHthunderfocusteashow:SetChecked(MonkHelper_Options.show.MHthunderfocustea)
tftshowicon = MHthunderfocusteashow:CreateTexture("$parent_Icon")
tftshowicon:SetTexture("Interface\\Icons\\ability_monk_thunderfocustea")
tftshowicon:SetWidth(32)
tftshowicon:SetHeight(32)
tftshowicon:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHthunderfocusteascale = CreateFrame("Slider","MHThunderFocusTeaScale", MHmwspeccontent)
MHthunderfocusteascale:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHthunderfocusteascale:SetWidth(300)
MHthunderfocusteascale:SetHeight(20)
MHthunderfocusteascale:SetOrientation("HORIZONTAL")
MHthunderfocusteascale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHthunderfocusteascale:SetMinMaxValues(0.5,2)
MHthunderfocusteascale:SetValue(MonkHelper_Options.scale.MHthunderfocustea)
MHthunderfocusteascale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHthunderfocusteascale:SetScript("OnValueChanged", function (self, value) tftvalue:SetText(string.sub(value, 1, 4)) MHthunderfocustea:SetScale(value) end)
tftheader = MHmwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
tftheader:SetPoint("BOTTOMLEFT", MHthunderfocusteascale, "TOPLEFT")
tftheader:SetText("Thunder Focus Tea Cooldown Scale")
tftvalue = MHmwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
tftvalue:SetPoint("BOTTOMRIGHT", MHthunderfocusteascale, "TOPRIGHT")
tftvalue:SetText(string.sub(MonkHelper_Options.scale.MHthunderfocustea, 1, 4))
---------------------------------------------------------
y = y - spacey
MHvitalmistsshow = CreateFrame("CheckButton", "MHVitalMistsShow", MHmwspeccontent, "ChatConfigCheckButtonTemplate")
MHvitalmistsshow:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHVitalMistsShowText:SetText("Vital Mists Timer")
MHvitalmistsshow:SetChecked(MonkHelper_Options.show.MHvitalmists)
vmshowicon = MHvitalmistsshow:CreateTexture("$parent_Icon")
vmshowicon:SetTexture("Interface\\Icons\\ability_shaman_repulsiontotem")
vmshowicon:SetWidth(32)
vmshowicon:SetHeight(32)
vmshowicon:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHvitalmistsscale = CreateFrame("Slider","MHVitalMistsScale", MHmwspeccontent)
MHvitalmistsscale:SetPoint("TOPLEFT", MHmwspeccontent, "TOPLEFT", x, y)
MHvitalmistsscale:SetWidth(300)
MHvitalmistsscale:SetHeight(20)
MHvitalmistsscale:SetOrientation("HORIZONTAL")
MHvitalmistsscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHvitalmistsscale:SetMinMaxValues(0.5,2)
MHvitalmistsscale:SetValue(MonkHelper_Options.scale.MHvitalmists)
MHvitalmistsscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHvitalmistsscale:SetScript("OnValueChanged", function (self, value) vmvalue:SetText(string.sub(value, 1, 4)) MHvitalmists:SetScale(value) end)
vmheader = MHmwspeccontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
vmheader:SetPoint("BOTTOMLEFT", MHvitalmistsscale, "TOPLEFT")
vmheader:SetText("Vital Mists Timer Scale")
vmvalue = MHmwspeccontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
vmvalue:SetPoint("BOTTOMRIGHT", MHvitalmistsscale, "TOPRIGHT")
vmvalue:SetText(string.sub(MonkHelper_Options.scale.MHvitalmists, 1, 4))

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Talents & Abilities options

MonkHelper.abilities = CreateFrame("Frame", "MHAbilitiesOpt", UIParent)
MonkHelper.abilities.name = "Talents & Abilities"
MonkHelper.abilities.parent = MonkHelper.panel.name
InterfaceOptions_AddCategory(MonkHelper.abilities)

MonkHelper.abilities.default = function()
MonkHelper_Defaults()
if MHtimerbypass == 0 then
MonkHelper_UpdateUI()
end
end
MonkHelper.abilities.okay = function()
MonkHelper_Apply()
end
MonkHelper.abilities.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.abilities.refresh = function()
MonkHelper_Cancel()
end
MHapplyabilities = CreateFrame("Button", "MHApplyAbilities", MonkHelper.abilities, "UIPanelButtonTemplate")
MHapplyabilities:SetHeight(20)
MHapplyabilities:SetWidth(70)
MHapplyabilities:SetText("Apply")
MHapplyabilities:ClearAllPoints()
MHapplyabilities:SetPoint("CENTER", MonkHelper.abilities, "BOTTOMRIGHT", -50, 20)
MHapplyabilities:SetScript("OnClick", MonkHelper_Apply)

MHabilities = CreateFrame("ScrollFrame", "MHAbilities", MonkHelper.abilities)
MHabilities:SetPoint("TOPLEFT", 10, -10) 
MHabilities:SetPoint("BOTTOMRIGHT", -30, 40) 

MHabilitiescontent = CreateFrame("Frame", "$parent_Content", MHabilities)
MHabilitiescontent:SetPoint("CENTER")
MHabilitiescontent:SetWidth(580)
MHabilitiescontent:SetHeight(3000)
MHabilities:SetScrollChild(MHabilitiescontent)

MHabilitiesscroll = CreateFrame("Slider", "$parent_Scroll", MHabilities, "UIPanelScrollBarTemplate")
MHabilitiesscroll:SetOrientation("VERTICAL")
MHabilitiesscroll:SetWidth(20)
MHabilitiesscroll:SetHeight(450)
MHabilitiesscroll:SetPoint("RIGHT", MonkHelper.abilities, "RIGHT", -5, 0)
MHabilitiesscroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MHabilitiesscroll:SetMinMaxValues(0, 2100)
MHabilitiesscroll:SetValueStep(20)
MHabilitiesscroll:SetValue(0)
MHabilitiescontent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MHabilitiesscroll:GetValue()
if delta > 0  then
MHabilitiesscroll:SetValue(scroll - MHabilitiesscroll:GetValueStep())
elseif delta < 0 then
MHabilitiesscroll:SetValue(scroll + MHabilitiesscroll:GetValueStep())
end
end)

-----------------------------------------------------------------
y = 0
y = y - 20
MHbrewtrackershow = CreateFrame("CheckButton", "MHBrewTrackerShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHbrewtrackershow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHBrewTrackerShowText:SetText("Brew Tracker (Automatically Changes For Each Spec)")
MHbrewtrackershow:SetChecked(MonkHelper_Options.show.MHbrewtracker)
btshowicon = MHbrewtrackershow:CreateTexture("$parent_Icon")
btshowicon:SetTexture("Interface\\Icons\\spell_brew_dark")
btshowicon:SetWidth(32)
btshowicon:SetHeight(32)
btshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHbrewtrackerscale = CreateFrame("Slider","MHBrewTrackerScale", MHabilitiescontent)
MHbrewtrackerscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHbrewtrackerscale:SetWidth(300)
MHbrewtrackerscale:SetHeight(20)
MHbrewtrackerscale:SetOrientation("HORIZONTAL")
MHbrewtrackerscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHbrewtrackerscale:SetMinMaxValues(0.5,2)
MHbrewtrackerscale:SetValue(MonkHelper_Options.scale.MHbrewtracker)
MHbrewtrackerscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHbrewtrackerscale:SetScript("OnValueChanged", function (self, value) btvalue:SetText(string.sub(value, 1, 4)) MHbrewtracker:SetScale(value) end)
btheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
btheader:SetPoint("BOTTOMLEFT", MHbrewtrackerscale, "TOPLEFT")
btheader:SetText("Brew Tracker Scale")
btvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
btvalue:SetPoint("BOTTOMRIGHT", MHbrewtrackerscale, "TOPRIGHT")
btvalue:SetText(string.sub(MonkHelper_Options.scale.MHbrewtracker, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHdetoxshow = CreateFrame("CheckButton", "MHDetoxShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHdetoxshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHDetoxShowText:SetText("Detox Cooldown")
MHdetoxshow:SetChecked(MonkHelper_Options.show.MHdetox)
detoxshowicon = MHdetoxshow:CreateTexture("$parent_Icon")
detoxshowicon:SetTexture("Interface\\Icons\\Spell_Holy_DispelMagic")
detoxshowicon:SetWidth(32)
detoxshowicon:SetHeight(32)
detoxshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHdetoxscale = CreateFrame("Slider","MHDetoxScale", MHabilitiescontent)
MHdetoxscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHdetoxscale:SetWidth(300)
MHdetoxscale:SetHeight(20)
MHdetoxscale:SetOrientation("HORIZONTAL")
MHdetoxscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHdetoxscale:SetMinMaxValues(0.5,2)
MHdetoxscale:SetValue(MonkHelper_Options.scale.MHdetox)
MHdetoxscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHdetoxscale:SetScript("OnValueChanged", function (self, value) detoxvalue:SetText(string.sub(value, 1, 4)) MHdetox:SetScale(value) end)
detoxheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
detoxheader:SetPoint("BOTTOMLEFT", MHdetoxscale, "TOPLEFT")
detoxheader:SetText("Detox Cooldown Scale")
detoxvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
detoxvalue:SetPoint("BOTTOMRIGHT", MHdetoxscale, "TOPRIGHT")
detoxvalue:SetText(string.sub(MonkHelper_Options.scale.MHdetox, 1, 4))
-----------------------------------------------------------
y = y - spacey
MHexpelharmshow = CreateFrame("CheckButton", "MHExpelHarmShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHexpelharmshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHExpelHarmShowText:SetText("Expel Harm Cooldown")
MHexpelharmshow:SetChecked(MonkHelper_Options.show.MHexpelharm)
ehshowicon = MHexpelharmshow:CreateTexture("$parent_Icon")
ehshowicon:SetTexture("Interface\\Icons\\ability_monk_expelharm")
ehshowicon:SetWidth(32)
ehshowicon:SetHeight(32)
ehshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHexpelharmscale = CreateFrame("Slider","MHExpelHarmScale", MHabilitiescontent)
MHexpelharmscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHexpelharmscale:SetWidth(300)
MHexpelharmscale:SetHeight(20)
MHexpelharmscale:SetOrientation("HORIZONTAL")
MHexpelharmscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHexpelharmscale:SetMinMaxValues(0.5,2)
MHexpelharmscale:SetValue(MonkHelper_Options.scale.MHexpelharm)
MHexpelharmscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHexpelharmscale:SetScript("OnValueChanged", function (self, value) expelvalue:SetText(string.sub(value, 1, 4)) MHexpelharm:SetScale(value) end)
expelheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
expelheader:SetPoint("BOTTOMLEFT", MHexpelharmscale, "TOPLEFT")
expelheader:SetText("Expel Harm Cooldown Scale")
expelvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
expelvalue:SetPoint("BOTTOMRIGHT", MHexpelharmscale, "TOPRIGHT")
expelvalue:SetText(string.sub(MonkHelper_Options.scale.MHexpelharm, 1, 4))
------------------------------------------------
y = y - spacey
MHfortifyingbrewshow = CreateFrame("CheckButton", "MHFortifyingBrewShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHfortifyingbrewshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHFortifyingBrewShowText:SetText("Fortifying Brew Cooldown")
MHfortifyingbrewshow:SetChecked(MonkHelper_Options.show.MHfortifyingbrew)
fbshowicon = MHfortifyingbrewshow:CreateTexture("$parent_Icon")
fbshowicon:SetTexture("Interface\\Icons\\ability_monk_fortifyingale_new")
fbshowicon:SetWidth(32)
fbshowicon:SetHeight(32)
fbshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHfortifyingbrewscale = CreateFrame("Slider","MHFortifyingBrewScale", MHabilitiescontent)
MHfortifyingbrewscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHfortifyingbrewscale:SetWidth(300)
MHfortifyingbrewscale:SetHeight(20)
MHfortifyingbrewscale:SetOrientation("HORIZONTAL")
MHfortifyingbrewscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHfortifyingbrewscale:SetMinMaxValues(0.5,2)
MHfortifyingbrewscale:SetValue(MonkHelper_Options.scale.MHfortifyingbrew)
MHfortifyingbrewscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHfortifyingbrewscale:SetScript("OnValueChanged", function (self, value) fbvalue:SetText(string.sub(value, 1, 4)) MHfortifyingbrew:SetScale(value) end)
fbheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
fbheader:SetPoint("BOTTOMLEFT", MHfortifyingbrewscale, "TOPLEFT")
fbheader:SetText("Fortifying Brew Cooldown Scale")
fbvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
fbvalue:SetPoint("BOTTOMRIGHT", MHfortifyingbrewscale, "TOPRIGHT")
fbvalue:SetText(string.sub(MonkHelper_Options.scale.MHfortifyingbrew, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHgrappleweaponshow = CreateFrame("CheckButton", "MHGrappleWeaponShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHgrappleweaponshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHGrappleWeaponShowText:SetText("Grapple Weapon Cooldown")
MHgrappleweaponshow:SetChecked(MonkHelper_Options.show.MHgrappleweapon)
gwshowicon = MHgrappleweaponshow:CreateTexture("$parent_Icon")
gwshowicon:SetTexture("Interface\\Icons\\ability_warrior_disarm")
gwshowicon:SetWidth(32)
gwshowicon:SetHeight(32)
gwshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHgrappleweaponscale = CreateFrame("Slider","MHGrappleWeaponScale", MHabilitiescontent)
MHgrappleweaponscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHgrappleweaponscale:SetWidth(300)
MHgrappleweaponscale:SetHeight(20)
MHgrappleweaponscale:SetOrientation("HORIZONTAL")
MHgrappleweaponscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHgrappleweaponscale:SetMinMaxValues(0.5,2)
MHgrappleweaponscale:SetValue(MonkHelper_Options.scale.MHgrappleweapon)
MHgrappleweaponscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHgrappleweaponscale:SetScript("OnValueChanged", function (self, value) gwvalue:SetText(string.sub(value, 1, 4)) MHgrappleweapon:SetScale(value) end)
gwheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
gwheader:SetPoint("BOTTOMLEFT", MHgrappleweaponscale, "TOPLEFT")
gwheader:SetText("Grapple Weapon Cooldown Scale")
gwvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
gwvalue:SetPoint("BOTTOMRIGHT", MHgrappleweaponscale, "TOPRIGHT")
gwvalue:SetText(string.sub(MonkHelper_Options.scale.MHgrappleweapon, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHnimblebrewshow = CreateFrame("CheckButton", "MHNimbleBrewShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHnimblebrewshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHNimbleBrewShowText:SetText("Nimble Brew Cooldown")
MHnimblebrewshow:SetChecked(MonkHelper_Options.show.MHnimblebrew)
nbshowicon = MHnimblebrewshow:CreateTexture("$parent_Icon")
nbshowicon:SetTexture("Interface\\Icons\\spell_monk_nimblebrew")
nbshowicon:SetWidth(32)
nbshowicon:SetHeight(32)
nbshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHnimblebrewscale = CreateFrame("Slider","MHNimbleBrewScale", MHabilitiescontent)
MHnimblebrewscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHnimblebrewscale:SetWidth(300)
MHnimblebrewscale:SetHeight(20)
MHnimblebrewscale:SetOrientation("HORIZONTAL")
MHnimblebrewscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHnimblebrewscale:SetMinMaxValues(0.5,2)
MHnimblebrewscale:SetValue(MonkHelper_Options.scale.MHnimblebrew)
MHnimblebrewscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHnimblebrewscale:SetScript("OnValueChanged", function (self, value) nbvalue:SetText(string.sub(value, 1, 4)) MHnimblebrew:SetScale(value) end)
nbheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
nbheader:SetPoint("BOTTOMLEFT", MHnimblebrewscale, "TOPLEFT")
nbheader:SetText("Nimble Brew Cooldown Scale")
nbvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
nbvalue:SetPoint("BOTTOMRIGHT", MHnimblebrewscale, "TOPRIGHT")
nbvalue:SetText(string.sub(MonkHelper_Options.scale.MHnimblebrew, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHparalysisshow = CreateFrame("CheckButton", "MHParalysisShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHparalysisshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHParalysisShowText:SetText("Paralysis Monitor |cFFFFEA00(Shows Who You Have Paralysis Cast On,\nThe Cooldown, And Its Duration)|r")
MHparalysisshow:SetChecked(MonkHelper_Options.show.MHparalysis)
paralysisshowicon = MHparalysisshow:CreateTexture("$parent_Icon")
paralysisshowicon:SetTexture("Interface\\Icons\\ability_monk_paralysis")
paralysisshowicon:SetWidth(32)
paralysisshowicon:SetHeight(32)
paralysisshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
----------------------------------------
y = y - 30
MHparalysisnotify = CreateFrame("CheckButton", "MHParalysisNotify", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHparalysisnotify:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHParalysisNotifyText:SetText("Enable Paralysis Monitor Notifications |cFFFFEA00(Tells You Who Broke\nParalysis And With What Ability, Or If It Expires)|r")
MHparalysisnotify:SetChecked(MonkHelper_Options.pmnotify)
----------------------------------------
y = y - 30
MHparalysisautohide = CreateFrame("CheckButton", "MHParalysisAutoHide", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHparalysisautohide:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHParalysisAutoHideText:SetText("Hide Paralysis Cooldown When Nothing Is Affected By Paralysis")
MHparalysisautohide:SetChecked(MonkHelper_Options.pmautohide)
y = y - scaley
MHparalysisscale = CreateFrame("Slider","MHParalysisScale", MHabilitiescontent)
MHparalysisscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHparalysisscale:SetWidth(300)
MHparalysisscale:SetHeight(20)
MHparalysisscale:SetOrientation("HORIZONTAL")
MHparalysisscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHparalysisscale:SetMinMaxValues(0.5,2)
MHparalysisscale:SetValue(MonkHelper_Options.scale.MHparalysis)
MHparalysisscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHparalysisscale:SetScript("OnValueChanged", function (self, value) paralysisvalue:SetText(string.sub(value, 1, 4)) MHparalysis:SetScale(value) end)
paralysisheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
paralysisheader:SetPoint("BOTTOMLEFT", MHparalysisscale, "TOPLEFT")
paralysisheader:SetText("Paralysis Monitor Scale")
paralysisvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
paralysisvalue:SetPoint("BOTTOMRIGHT", MHparalysisscale, "TOPRIGHT")
paralysisvalue:SetText(string.sub(MonkHelper_Options.scale.MHparalysis, 1, 4))
------------------------------------------------------------------
y = y - spacey
MHprovokeshow = CreateFrame("CheckButton", "MHProvokeShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHprovokeshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHProvokeShowText:SetText("Provoke Cooldown")
MHprovokeshow:SetChecked(MonkHelper_Options.show.MHprovoke)
provokeshowicon = MHprovokeshow:CreateTexture("$parent_Icon")
provokeshowicon:SetTexture("Interface\\Icons\\ability_monk_provoke")
provokeshowicon:SetWidth(32)
provokeshowicon:SetHeight(32)
provokeshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHprovokescale = CreateFrame("Slider","MHProvokeScale", MHabilitiescontent)
MHprovokescale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHprovokescale:SetWidth(300)
MHprovokescale:SetHeight(20)
MHprovokescale:SetOrientation("HORIZONTAL")
MHprovokescale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHprovokescale:SetMinMaxValues(0.5,2)
MHprovokescale:SetValue(MonkHelper_Options.scale.MHprovoke)
MHprovokescale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHprovokescale:SetScript("OnValueChanged", function (self, value) prvalue:SetText(string.sub(value, 1, 4)) MHprovoke:SetScale(value) end)
prheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
prheader:SetPoint("BOTTOMLEFT", MHprovokescale, "TOPLEFT")
prheader:SetText("Provoke Cooldown Scale")
prvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
prvalue:SetPoint("BOTTOMRIGHT", MHprovokescale, "TOPRIGHT")
prvalue:SetText(string.sub(MonkHelper_Options.scale.MHprovoke, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHrollshow = CreateFrame("CheckButton", "MHRollShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHrollshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHRollShowText:SetText("Roll Cooldown")
MHrollshow:SetChecked(MonkHelper_Options.show.MHroll)
rollshowicon = MHrollshow:CreateTexture("$parent_Icon")
rollshowicon:SetTexture("Interface\\Icons\\ability_monk_roll")
rollshowicon:SetWidth(32)
rollshowicon:SetHeight(32)
rollshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHrollscale = CreateFrame("Slider","MHRollScale", MHabilitiescontent)
MHrollscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHrollscale:SetWidth(300)
MHrollscale:SetHeight(20)
MHrollscale:SetOrientation("HORIZONTAL")
MHrollscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHrollscale:SetMinMaxValues(0.5,2)
MHrollscale:SetValue(MonkHelper_Options.scale.MHroll)
MHrollscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHrollscale:SetScript("OnValueChanged", function (self, value) rollvalue:SetText(string.sub(value, 1, 4)) MHroll:SetScale(value) end)
rollheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
rollheader:SetPoint("BOTTOMLEFT", MHrollscale, "TOPLEFT")
rollheader:SetText("Roll Cooldown Scale")
rollvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
rollvalue:SetPoint("BOTTOMRIGHT", MHrollscale, "TOPRIGHT")
rollvalue:SetText(string.sub(MonkHelper_Options.scale.MHroll, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHspearhandstrikeshow = CreateFrame("CheckButton", "MHSpearHandStrikeShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHspearhandstrikeshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHSpearHandStrikeShowText:SetText("Spear Hand Strike Cooldown")
MHspearhandstrikeshow:SetChecked(MonkHelper_Options.show.MHspearhandstrike)
shsshowicon = MHspearhandstrikeshow:CreateTexture("$parent_Icon")
shsshowicon:SetTexture("Interface\\Icons\\ability_monk_spearhand")
shsshowicon:SetWidth(32)
shsshowicon:SetHeight(32)
shsshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHspearhandstrikescale = CreateFrame("Slider","MHSpearHandStrikeScale", MHabilitiescontent)
MHspearhandstrikescale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHspearhandstrikescale:SetWidth(300)
MHspearhandstrikescale:SetHeight(20)
MHspearhandstrikescale:SetOrientation("HORIZONTAL")
MHspearhandstrikescale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHspearhandstrikescale:SetMinMaxValues(0.5,2)
MHspearhandstrikescale:SetValue(MonkHelper_Options.scale.MHspearhandstrike)
MHspearhandstrikescale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHspearhandstrikescale:SetScript("OnValueChanged", function (self, value) shsvalue:SetText(string.sub(value, 1, 4)) MHspearhandstrike:SetScale(value) end)
shsheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
shsheader:SetPoint("BOTTOMLEFT", MHspearhandstrikescale, "TOPLEFT")
shsheader:SetText("Spear Hand Strike Cooldown Scale")
shsvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
shsvalue:SetPoint("BOTTOMRIGHT", MHspearhandstrikescale, "TOPRIGHT")
shsvalue:SetText(string.sub(MonkHelper_Options.scale.MHspearhandstrike, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHtier1show = CreateFrame("CheckButton", "MHTier1Show", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHtier1show:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHTier1ShowText:SetText("Tier 1 Talent Cooldown |cFFFFEA00(Tiger's Lust)|r")
MHtier1show:SetChecked(MonkHelper_Options.show.MHtier1)
tier1showicon = MHtier1show:CreateTexture("$parent_Icon")
tier1showicon:SetTexture("Interface\\Icons\\ability_monk_tigerslust")
tier1showicon:SetWidth(32)
tier1showicon:SetHeight(32)
tier1showicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHtier1scale = CreateFrame("Slider","MHTier1Scale", MHabilitiescontent)
MHtier1scale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHtier1scale:SetWidth(300)
MHtier1scale:SetHeight(20)
MHtier1scale:SetOrientation("HORIZONTAL")
MHtier1scale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtier1scale:SetMinMaxValues(0.5,2)
MHtier1scale:SetValue(MonkHelper_Options.scale.MHtier1)
MHtier1scale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtier1scale:SetScript("OnValueChanged", function (self, value) tier1value:SetText(string.sub(value, 1, 4)) MHtier1:SetScale(value) end)
tier1header = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
tier1header:SetPoint("BOTTOMLEFT", MHtier1scale, "TOPLEFT")
tier1header:SetText("Tier 1 Cooldown Scale")
tier1value = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
tier1value:SetPoint("BOTTOMRIGHT", MHtier1scale, "TOPRIGHT")
tier1value:SetText(string.sub(MonkHelper_Options.scale.MHtier1, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHtier2show = CreateFrame("CheckButton", "MHTier2Show", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHtier2show:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHTier2ShowText:SetText("Tier 2 Talent Cooldown |cFFFFEA00(Chi Wave/Zhen Sphere/Chi Burst)|r")
MHtier2show:SetChecked(MonkHelper_Options.show.MHtier2)
tier2showicon = MHtier2show:CreateTexture("$parent_Icon")
tier2showicon:SetTexture("Interface\\Icons\\ability_monk_chiwave")
tier2showicon:SetWidth(32)
tier2showicon:SetHeight(32)
tier2showicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHtier2scale = CreateFrame("Slider","MHTier2Scale", MHabilitiescontent)
MHtier2scale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHtier2scale:SetWidth(300)
MHtier2scale:SetHeight(20)
MHtier2scale:SetOrientation("HORIZONTAL")
MHtier2scale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtier2scale:SetMinMaxValues(0.5,2)
MHtier2scale:SetValue(MonkHelper_Options.scale.MHtier2)
MHtier2scale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtier2scale:SetScript("OnValueChanged", function (self, value) tier2value:SetText(string.sub(value, 1, 4)) MHtier2:SetScale(value) end)
tier2header = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
tier2header:SetPoint("BOTTOMLEFT", MHtier2scale, "TOPLEFT")
tier2header:SetText("Tier 2 Cooldown Scale")
tier2value = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
tier2value:SetPoint("BOTTOMRIGHT", MHtier2scale, "TOPRIGHT")
tier2value:SetText(string.sub(MonkHelper_Options.scale.MHtier2, 1, 4))
------------------------------------------------------------------
y = y - spacey
MHtier3show = CreateFrame("CheckButton", "MHTier3Show", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHtier3show:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHTier3ShowText:SetText("Tier 3 Talent Cooldown |cFFFFEA00(Chi Brew)|r")
MHtier3show:SetChecked(MonkHelper_Options.show.MHtier3)
tier3showicon = MHtier3show:CreateTexture("$parent_Icon")
tier3showicon:SetTexture("Interface\\Icons\\ability_monk_chibrew")
tier3showicon:SetWidth(32)
tier3showicon:SetHeight(32)
tier3showicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHtier3scale = CreateFrame("Slider","MHTier3Scale", MHabilitiescontent)
MHtier3scale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHtier3scale:SetWidth(300)
MHtier3scale:SetHeight(20)
MHtier3scale:SetOrientation("HORIZONTAL")
MHtier3scale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtier3scale:SetMinMaxValues(0.5,2)
MHtier3scale:SetValue(MonkHelper_Options.scale.MHtier3)
MHtier3scale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtier3scale:SetScript("OnValueChanged", function (self, value) tier3value:SetText(string.sub(value, 1, 4)) MHtier3:SetScale(value) end)
tier3header = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
tier3header:SetPoint("BOTTOMLEFT", MHtier3scale, "TOPLEFT")
tier3header:SetText("Tier 3 Cooldown Scale")
tier3value = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
tier3value:SetPoint("BOTTOMRIGHT", MHtier3scale, "TOPRIGHT")
tier3value:SetText(string.sub(MonkHelper_Options.scale.MHtier3, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHtier4show = CreateFrame("CheckButton", "MHTier4Show", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHtier4show:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHTier4ShowText:SetText("Tier 4 Talent Cooldown |cFFFFEA00(Ring Of Peace/Charging Ox Wave/Leg Sweep)|r")
MHtier4show:SetChecked(MonkHelper_Options.show.MHtier4)
tier4showicon = MHtier4show:CreateTexture("$parent_Icon")
tier4showicon:SetTexture("Interface\\Icons\\spell_monk_ringofpeace")
tier4showicon:SetWidth(32)
tier4showicon:SetHeight(32)
tier4showicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHtier4scale = CreateFrame("Slider","MHTier4Scale", MHabilitiescontent)
MHtier4scale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHtier4scale:SetWidth(300)
MHtier4scale:SetHeight(20)
MHtier4scale:SetOrientation("HORIZONTAL")
MHtier4scale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtier4scale:SetMinMaxValues(0.5,2)
MHtier4scale:SetValue(MonkHelper_Options.scale.MHtier4)
MHtier4scale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtier4scale:SetScript("OnValueChanged", function (self, value) tier4value:SetText(string.sub(value, 1, 4)) MHtier4:SetScale(value) end)
tier4header = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
tier4header:SetPoint("BOTTOMLEFT", MHtier4scale, "TOPLEFT")
tier4header:SetText("Tier 4 Cooldown Scale")
tier4value = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
tier4value:SetPoint("BOTTOMRIGHT", MHtier4scale, "TOPRIGHT")
tier4value:SetText(string.sub(MonkHelper_Options.scale.MHtier4, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHtier5show = CreateFrame("CheckButton", "MHTier5Show", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHtier5show:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHTier5ShowText:SetText("Tier 5 Talent Cooldown |cFFFFEA00(Dampen Harm/Diffuse Magic)|r")
MHtier5show:SetChecked(MonkHelper_Options.show.MHtier5)
tier5showicon = MHtier5show:CreateTexture("$parent_Icon")
tier5showicon:SetTexture("Interface\\Icons\\spell_monk_diffusemagic")
tier5showicon:SetWidth(32)
tier5showicon:SetHeight(32)
tier5showicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHtier5scale = CreateFrame("Slider","MHTier5Scale", MHabilitiescontent)
MHtier5scale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHtier5scale:SetWidth(300)
MHtier5scale:SetHeight(20)
MHtier5scale:SetOrientation("HORIZONTAL")
MHtier5scale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtier5scale:SetMinMaxValues(0.5,2)
MHtier5scale:SetValue(MonkHelper_Options.scale.MHtier5)
MHtier5scale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtier5scale:SetScript("OnValueChanged", function (self, value) tier5value:SetText(string.sub(value, 1, 4)) MHtier5:SetScale(value) end)
tier5header = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
tier5header:SetPoint("BOTTOMLEFT", MHtier5scale, "TOPLEFT")
tier5header:SetText("Tier 5 Cooldown Scale")
tier5value = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
tier5value:SetPoint("BOTTOMRIGHT", MHtier5scale, "TOPRIGHT")
tier5value:SetText(string.sub(MonkHelper_Options.scale.MHtier5, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHtier6show = CreateFrame("CheckButton", "MHTier6Show", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHtier6show:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHTier6ShowText:SetText("Tier 6 Talent Cooldown |cFFFFEA00(Rushing Jade Wind/Invoke Xuen, The White Tiger)|r")
MHtier6show:SetChecked(MonkHelper_Options.show.MHtier6)
tier6showicon = MHtier4show:CreateTexture("$parent_Icon")
tier6showicon:SetTexture("Interface\\Icons\\ability_monk_summontigerstatue")
tier6showicon:SetWidth(32)
tier6showicon:SetHeight(32)
tier6showicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHtier6scale = CreateFrame("Slider","MHTier6Scale", MHabilitiescontent)
MHtier6scale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHtier6scale:SetWidth(300)
MHtier6scale:SetHeight(20)
MHtier6scale:SetOrientation("HORIZONTAL")
MHtier6scale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtier6scale:SetMinMaxValues(0.5,2)
MHtier6scale:SetValue(MonkHelper_Options.scale.MHtier6)
MHtier6scale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtier6scale:SetScript("OnValueChanged", function (self, value) tier6value:SetText(string.sub(value, 1, 4)) MHtier6:SetScale(value) end)
tier6header = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
tier6header:SetPoint("BOTTOMLEFT", MHtier6scale, "TOPLEFT")
tier6header:SetText("Tier 6 Cooldown Scale")
tier6value = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
tier6value:SetPoint("BOTTOMRIGHT", MHtier6scale, "TOPRIGHT")
tier6value:SetText(string.sub(MonkHelper_Options.scale.MHtier6, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHtigerpowershow = CreateFrame("CheckButton", "MHTigerPowerShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHtigerpowershow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHTigerPowerShowText:SetText("Tiger Power Timer")
MHtigerpowershow:SetChecked(MonkHelper_Options.show.MHtigerpower)
tpshowicon = MHtigerpowershow:CreateTexture("$parent_Icon")
tpshowicon:SetTexture("Interface\\Icons\\ability_monk_tigerpalm")
tpshowicon:SetWidth(32)
tpshowicon:SetHeight(32)
tpshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHtigerpowerscale = CreateFrame("Slider","MHTigerPowerScale", MHabilitiescontent)
MHtigerpowerscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHtigerpowerscale:SetWidth(300)
MHtigerpowerscale:SetHeight(20)
MHtigerpowerscale:SetOrientation("HORIZONTAL")
MHtigerpowerscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtigerpowerscale:SetMinMaxValues(0.5,2)
MHtigerpowerscale:SetValue(MonkHelper_Options.scale.MHtigerpower)
MHtigerpowerscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtigerpowerscale:SetScript("OnValueChanged", function (self, value) tpvalue:SetText(string.sub(value, 1, 4)) MHtigerpower:SetScale(value) end)
tpheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
tpheader:SetPoint("BOTTOMLEFT", MHtigerpowerscale, "TOPLEFT")
tpheader:SetText("Tiger Power Timer Scale")
tpvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
tpvalue:SetPoint("BOTTOMRIGHT", MHtigerpowerscale, "TOPRIGHT")
tpvalue:SetText(string.sub(MonkHelper_Options.scale.MHtigerpower, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHtouchofdeathshow = CreateFrame("CheckButton", "MHTouchOfDeathShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHtouchofdeathshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHTouchOfDeathShowText:SetText("Touch Of Death Cooldown")
MHtouchofdeathshow:SetChecked(MonkHelper_Options.show.MHtouchofdeath)
todshowicon = MHtouchofdeathshow:CreateTexture("$parent_Icon")
todshowicon:SetTexture("Interface\\Icons\\ability_monk_touchofdeath")
todshowicon:SetWidth(32)
todshowicon:SetHeight(32)
todshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHtouchofdeathscale = CreateFrame("Slider","MHTouchOfDeathScale", MHabilitiescontent)
MHtouchofdeathscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHtouchofdeathscale:SetWidth(300)
MHtouchofdeathscale:SetHeight(20)
MHtouchofdeathscale:SetOrientation("HORIZONTAL")
MHtouchofdeathscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtouchofdeathscale:SetMinMaxValues(0.5,2)
MHtouchofdeathscale:SetValue(MonkHelper_Options.scale.MHtouchofdeath)
MHtouchofdeathscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtouchofdeathscale:SetScript("OnValueChanged", function (self, value) deathvalue:SetText(string.sub(value, 1, 4)) MHtouchofdeath:SetScale(value) end)
deathheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
deathheader:SetPoint("BOTTOMLEFT", MHtouchofdeathscale, "TOPLEFT")
deathheader:SetText("Touch Of Death Cooldown Scale")
deathvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
deathvalue:SetPoint("BOTTOMRIGHT", MHtouchofdeathscale, "TOPRIGHT")
deathvalue:SetText(string.sub(MonkHelper_Options.scale.MHtouchofdeath, 1, 4))
-----------------------------------------------------------------
y = y - 30
MHtodnotificationshow = CreateFrame("CheckButton", "MHTODNotificationShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHtodnotificationshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHTODNotificationShowText:SetText("Touch Of Death Notification")
MHtodnotificationshow:SetChecked(MonkHelper_Options.show.MHtodnotification)
y = y - scaley
MHtodnotificationscale = CreateFrame("Slider","MHTODNotificationScale", MHabilitiescontent)
MHtodnotificationscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHtodnotificationscale:SetWidth(300)
MHtodnotificationscale:SetHeight(20)
MHtodnotificationscale:SetOrientation("HORIZONTAL")
MHtodnotificationscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtodnotificationscale:SetMinMaxValues(0.5,2)
MHtodnotificationscale:SetValue(MonkHelper_Options.scale.MHtodnotification)
MHtodnotificationscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtodnotificationscale:SetScript("OnValueChanged", function (self, value) todvalue:SetText(string.sub(value, 1, 4)) MHtodnotification:SetScale(value) end)
todheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
todheader:SetPoint("BOTTOMLEFT", MHtodnotificationscale, "TOPLEFT")
todheader:SetText("Touch Of Death Notification Scale")
todvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
todvalue:SetPoint("BOTTOMRIGHT", MHtodnotificationscale, "TOPRIGHT")
todvalue:SetText(string.sub(MonkHelper_Options.scale.MHtodnotification, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHtranscendenceshow = CreateFrame("CheckButton", "MHTranscendenceShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHtranscendenceshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHTranscendenceShowText:SetText("Transcendence Cooldown")
MHtranscendenceshow:SetChecked(MonkHelper_Options.show.MHtranscendence)
transshowicon = MHtranscendenceshow:CreateTexture("$parent_Icon")
transshowicon:SetTexture("Interface\\Icons\\monk_ability_transcendence")
transshowicon:SetWidth(32)
transshowicon:SetHeight(32)
transshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHtranscendencescale = CreateFrame("Slider","MHTranscendenceScale", MHabilitiescontent)
MHtranscendencescale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHtranscendencescale:SetWidth(300)
MHtranscendencescale:SetHeight(20)
MHtranscendencescale:SetOrientation("HORIZONTAL")
MHtranscendencescale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtranscendencescale:SetMinMaxValues(0.5,2)
MHtranscendencescale:SetValue(MonkHelper_Options.scale.MHtranscendence)
MHtranscendencescale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtranscendencescale:SetScript("OnValueChanged", function (self, value) transvalue:SetText(string.sub(value, 1, 4)) MHtranscendence:SetScale(value) end)
transheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
transheader:SetPoint("BOTTOMLEFT", MHtranscendencescale, "TOPLEFT")
transheader:SetText("Transcendence Cooldown Scale")
transvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
transvalue:SetPoint("BOTTOMRIGHT", MHtranscendencescale, "TOPRIGHT")
transvalue:SetText(string.sub(MonkHelper_Options.scale.MHtranscendence, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHtranscendencetransfershow = CreateFrame("CheckButton", "MHTranscendenceTransferShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHtranscendencetransfershow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHTranscendenceTransferShowText:SetText("Transcendence: Transfer Cooldown")
MHtranscendencetransfershow:SetChecked(MonkHelper_Options.show.MHtranscendencetransfer)
ttshowicon = MHtranscendencetransfershow:CreateTexture("$parent_Icon")
ttshowicon:SetTexture("Interface\\Icons\\spell_shaman_spectraltransformation")
ttshowicon:SetWidth(32)
ttshowicon:SetHeight(32)
ttshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHtranscendencetransferscale = CreateFrame("Slider","MHTranscendenceTransferScale", MHabilitiescontent)
MHtranscendencetransferscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHtranscendencetransferscale:SetWidth(300)
MHtranscendencetransferscale:SetHeight(20)
MHtranscendencetransferscale:SetOrientation("HORIZONTAL")
MHtranscendencetransferscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtranscendencetransferscale:SetMinMaxValues(0.5,2)
MHtranscendencetransferscale:SetValue(MonkHelper_Options.scale.MHtranscendencetransfer)
MHtranscendencetransferscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtranscendencetransferscale:SetScript("OnValueChanged", function (self, value) ttvalue:SetText(string.sub(value, 1, 4)) MHtranscendencetransfer:SetScale(value) end)
ttheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
ttheader:SetPoint("BOTTOMLEFT", MHtranscendencetransferscale, "TOPLEFT")
ttheader:SetText("Transcendence: Transfer Cooldown Scale")
ttvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
ttvalue:SetPoint("BOTTOMRIGHT", MHtranscendencetransferscale, "TOPRIGHT")
ttvalue:SetText(string.sub(MonkHelper_Options.scale.MHtranscendencetransfer, 1, 4))
-----------------------------------------------------------------
y = y - 30
MHtransfernotificationshow = CreateFrame("CheckButton", "MHTransferNotificationShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHtransfernotificationshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHTransferNotificationShowText:SetText("Transcendence: Transfer Warning |cFFFFEA00(When Out Of Range)|r")
MHtransfernotificationshow:SetChecked(MonkHelper_Options.show.MHtransfernotification)
y = y - scaley
MHtransfernotificationscale = CreateFrame("Slider","MHTransferNotificationScale", MHabilitiescontent)
MHtransfernotificationscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHtransfernotificationscale:SetWidth(300)
MHtransfernotificationscale:SetHeight(20)
MHtransfernotificationscale:SetOrientation("HORIZONTAL")
MHtransfernotificationscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHtransfernotificationscale:SetMinMaxValues(0.5,2)
MHtransfernotificationscale:SetValue(MonkHelper_Options.scale.MHtransfernotification)
MHtransfernotificationscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHtransfernotificationscale:SetScript("OnValueChanged", function (self, value) trvalue:SetText(string.sub(value, 1, 4)) MHtransfernotification:SetScale(value) end)
trheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
trheader:SetPoint("BOTTOMLEFT", MHtransfernotificationscale, "TOPLEFT")
trheader:SetText("Transcendence: Transfer Warning Scale")
trvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
trvalue:SetPoint("BOTTOMRIGHT", MHtransfernotificationscale, "TOPRIGHT")
trvalue:SetText(string.sub(MonkHelper_Options.scale.MHtransfernotification, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHxuenshow = CreateFrame("CheckButton", "MHXuenShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHxuenshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHXuenShowText:SetText("Xuen Timer |cFFFFEA00(If Talented)|r")
MHxuenshow:SetChecked(MonkHelper_Options.show.MHxuen)
xuenshowicon = MHxuenshow:CreateTexture("$parent_Icon")
xuenshowicon:SetTexture("Interface\\Icons\\ability_monk_summontigerstatue")
xuenshowicon:SetWidth(32)
xuenshowicon:SetHeight(32)
xuenshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHxuenscale = CreateFrame("Slider","MHXuenScale", MHabilitiescontent)
MHxuenscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHxuenscale:SetWidth(300)
MHxuenscale:SetHeight(20)
MHxuenscale:SetOrientation("HORIZONTAL")
MHxuenscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHxuenscale:SetMinMaxValues(0.5,2)
MHxuenscale:SetValue(MonkHelper_Options.scale.MHxuen)
MHxuenscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHxuenscale:SetScript("OnValueChanged", function (self, value) xvalue:SetText(string.sub(value, 1, 4)) MHxuen:SetScale(value) end)
xheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
xheader:SetPoint("BOTTOMLEFT", MHxuenscale, "TOPLEFT")
xheader:SetText("Xuen Timer Scale")
xvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
xvalue:SetPoint("BOTTOMRIGHT", MHxuenscale, "TOPRIGHT")
xvalue:SetText(string.sub(MonkHelper_Options.scale.MHxuen, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHzenmeditationshow = CreateFrame("CheckButton", "MHZenMeditationShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHzenmeditationshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHZenMeditationShowText:SetText("Zen Meditation Cooldown")
MHzenmeditationshow:SetChecked(MonkHelper_Options.show.MHzenmeditation)
zmshowicon = MHzenmeditationshow:CreateTexture("$parent_Icon")
zmshowicon:SetTexture("Interface\\Icons\\ability_monk_zenmeditation")
zmshowicon:SetWidth(32)
zmshowicon:SetHeight(32)
zmshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHzenmeditationscale = CreateFrame("Slider","MHZenMeditationScale", MHabilitiescontent)
MHzenmeditationscale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHzenmeditationscale:SetWidth(300)
MHzenmeditationscale:SetHeight(20)
MHzenmeditationscale:SetOrientation("HORIZONTAL")
MHzenmeditationscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHzenmeditationscale:SetMinMaxValues(0.5,2)
MHzenmeditationscale:SetValue(MonkHelper_Options.scale.MHzenmeditation)
MHzenmeditationscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHzenmeditationscale:SetScript("OnValueChanged", function (self, value) zmvalue:SetText(string.sub(value, 1, 4)) MHzenmeditation:SetScale(value) end)
zmheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
zmheader:SetPoint("BOTTOMLEFT", MHzenmeditationscale, "TOPLEFT")
zmheader:SetText("Zen Meditation Cooldown Scale")
zmvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
zmvalue:SetPoint("BOTTOMRIGHT", MHzenmeditationscale, "TOPRIGHT")
zmvalue:SetText(string.sub(MonkHelper_Options.scale.MHzenmeditation, 1, 4))
-----------------------------------------------------------------
y = y - spacey
MHzenpilgrimageshow = CreateFrame("CheckButton", "MHZenPilgrimageShow", MHabilitiescontent, "ChatConfigCheckButtonTemplate")
MHzenpilgrimageshow:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHZenPilgrimageShowText:SetText("Zen Pilgrimage Cooldown")
MHzenpilgrimageshow:SetChecked(MonkHelper_Options.show.MHzenpilgrimage)
zpshowicon = MHzenpilgrimageshow:CreateTexture("$parent_Icon")
zpshowicon:SetTexture("Interface\\Icons\\spell_monk_zenpilgrimage")
zpshowicon:SetWidth(32)
zpshowicon:SetHeight(32)
zpshowicon:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MHzenpilgrimagescale = CreateFrame("Slider","MHZenPilgrimageScale", MHabilitiescontent)
MHzenpilgrimagescale:SetPoint("TOPLEFT", MHabilitiescontent, "TOPLEFT", x, y)
MHzenpilgrimagescale:SetWidth(300)
MHzenpilgrimagescale:SetHeight(20)
MHzenpilgrimagescale:SetOrientation("HORIZONTAL")
MHzenpilgrimagescale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHzenpilgrimagescale:SetMinMaxValues(0.5,2)
MHzenpilgrimagescale:SetValue(MonkHelper_Options.scale.MHzenpilgrimage)
MHzenpilgrimagescale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHzenpilgrimagescale:SetScript("OnValueChanged", function (self, value) zpvalue:SetText(string.sub(value, 1, 4)) MHzenpilgrimage:SetScale(value) end)
zpheader = MHabilitiescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
zpheader:SetPoint("BOTTOMLEFT", MHzenpilgrimagescale, "TOPLEFT")
zpheader:SetText("Zen Pilgrimage Cooldown Scale")
zpvalue = MHabilitiescontent:CreateFontString("$parent_Value", "OVERLAY", "GameFontNormal")
zpvalue:SetPoint("BOTTOMRIGHT", MHzenpilgrimagescale, "TOPRIGHT")
zpvalue:SetText(string.sub(MonkHelper_Options.scale.MHzenpilgrimage, 1, 4))
-----------------------------------------------------------------

-- Messages Options

MonkHelper.messages = CreateFrame("Frame", "MHMessagesOpt", UIParent)
MonkHelper.messages.name = "Messages"
MonkHelper.messages.parent = MonkHelper.panel.name
InterfaceOptions_AddCategory(MonkHelper.messages)

MonkHelper.messages.default = function()
MonkHelper_Defaults()
if MHtimerbypass == 0 then
MonkHelper_UpdateUI()
end
end
MonkHelper.messages.okay = function()
MonkHelper_Apply()
end
MonkHelper.messages.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.messages.refresh = function()
MonkHelper_Cancel()
end

MHmessages = CreateFrame("ScrollFrame", "MHMessages", MonkHelper.messages)
MHmessages:SetPoint("TOPLEFT", 10, -10) 
MHmessages:SetPoint("BOTTOMRIGHT", -30, 40) 

MHmessagescontent = CreateFrame("Frame", "$parent_Content", MHmessages)
MHmessagescontent:SetPoint("CENTER")
MHmessagescontent:SetWidth(580)
MHmessagescontent:SetHeight(2000)
MHmessages:SetScrollChild(MHmessagescontent)

MHmessagesscroll = CreateFrame("Slider", "$parent_Scroll", MHmessages, "UIPanelScrollBarTemplate")
MHmessagesscroll:SetOrientation("VERTICAL")
MHmessagesscroll:SetWidth(20)
MHmessagesscroll:SetHeight(450)
MHmessagesscroll:SetPoint("RIGHT", MonkHelper.messages, "RIGHT", -5, 0)
MHmessagesscroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MHmessagesscroll:SetMinMaxValues(0, 60)
MHmessagesscroll:SetValueStep(30)
MHmessagesscroll:SetValue(0)
MHmessagescontent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MHmessagesscroll:GetValue()
if delta > 0  then
MHmessagesscroll:SetValue(scroll - MHmessagesscroll:GetValueStep())
elseif delta < 0 then
MHmessagesscroll:SetValue(scroll + MHmessagesscroll:GetValueStep())
end
end)

MHapplymessages = CreateFrame("Button", "MHApplyMessages", MonkHelper.messages, "UIPanelButtonTemplate")
MHapplymessages:SetHeight(20)
MHapplymessages:SetWidth(70)
MHapplymessages:SetText("Apply")
MHapplymessages:ClearAllPoints()
MHapplymessages:SetPoint("CENTER", MonkHelper.messages, "BOTTOMRIGHT", -50, 20)
MHapplymessages:SetScript("OnClick", MonkHelper_Apply)

----------------------------------------------------------
MHtigerslustmsg = CreateFrame("CheckButton", "MHTigersLustMSG", MHmessagescontent, "ChatConfigCheckButtonTemplate")
MHtigerslustmsg:SetPoint("TOPLEFT", MHmessagescontent, "TOPLEFT", 0, -30)
lusttext = MHmessagescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
lusttext:SetText("Tiger's Lust")
lusttext:SetPoint("LEFT", MHtigerslustmsg, "RIGHT")
lusttext:SetTextColor(1,1,1)
MHtigerslustinput = CreateFrame("EditBox", "MHTigersLustInput", MHmessagescontent, "InputBoxTemplate")
MHtigerslustinput:SetPoint("TOPLEFT", MHmessagescontent, "TOPLEFT", 180, -30)
MHtigerslustinput:SetWidth(400)
MHtigerslustinput:SetHeight(20)
MHtigerslustinput:SetAutoFocus(false)
----------------------------------------------------------
MHringofpeacemsg = CreateFrame("CheckButton", "MHRingOfPeaceMSG", MHmessagescontent, "ChatConfigCheckButtonTemplate")
MHringofpeacemsg:SetPoint("TOPLEFT", MHmessagescontent, "TOPLEFT", 0, -60)
peacetext = MHmessagescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
peacetext:SetText("Ring Of Peace")
peacetext:SetPoint("LEFT", MHringofpeacemsg, "RIGHT")
peacetext:SetTextColor(1,1,1)
MHringofpeaceinput = CreateFrame("EditBox", "MHRingOfPeaceInput", MHmessagescontent, "InputBoxTemplate")
MHringofpeaceinput:SetPoint("TOPLEFT", MHmessagescontent, "TOPLEFT", 180, -60)
MHringofpeaceinput:SetWidth(400)
MHringofpeaceinput:SetHeight(20)
MHringofpeaceinput:SetAutoFocus(false)
----------------------------------------------------------
MHlifecocoonmsg = CreateFrame("CheckButton", "MHLifeCocoonMSG", MHmessagescontent, "ChatConfigCheckButtonTemplate")
MHlifecocoonmsg:SetPoint("TOPLEFT", MHmessagescontent, "TOPLEFT", 0, -90)
cocoontext = MHmessagescontent:CreateFontString("$parent_Text", "OVERLAY", "GameFontNormal")
cocoontext:SetText("Life Cocoon")
cocoontext:SetPoint("LEFT", MHlifecocoonmsg, "RIGHT")
cocoontext:SetTextColor(1,1,1)
MHlifecocooninput = CreateFrame("EditBox", "MHLifeCocoonInput", MHmessagescontent, "InputBoxTemplate")
MHlifecocooninput:SetPoint("TOPLEFT", MHmessagescontent, "TOPLEFT", 180, -90)
MHlifecocooninput:SetWidth(400)
MHlifecocooninput:SetHeight(20)
MHlifecocooninput:SetAutoFocus(false)
----------------------------------------------------------

---------------------------------------------------------

-- Sound Effect Options
MonkHelper.sounds = CreateFrame("Frame", "MHSoundsOpt", UIParent)
MonkHelper.sounds.name = "Sounds"
MonkHelper.sounds.parent = MonkHelper.panel.name
InterfaceOptions_AddCategory(MonkHelper.sounds)

MonkHelper.sounds.default = function()
MonkHelper_Defaults()
if MHtimerbypass == 0 then
MonkHelper_UpdateUI()
end
end
MonkHelper.sounds.okay = function()
MonkHelper_Apply()
end
MonkHelper.sounds.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.sounds.refresh = function()
MonkHelper_Cancel()
end
MHapplysounds = CreateFrame("Button", "MHApplySounds", MonkHelper.sounds, "UIPanelButtonTemplate")
MHapplysounds:SetHeight(20)
MHapplysounds:SetWidth(70)
MHapplysounds:SetText("Apply")
MHapplysounds:ClearAllPoints()
MHapplysounds:SetPoint("CENTER", MonkHelper.sounds, "BOTTOMRIGHT", -50, 20)
MHapplysounds:SetScript("OnClick", MonkHelper_Apply)

-----Sounds-------------------------------------------------------
MHsoundstext = MonkHelper.sounds:CreateFontString("MHsoundstext", "OVERLAY", "GameFontNormal")
MHsoundstext:SetPoint("TOPLEFT", MonkHelper.sounds, "TOPLEFT", 15, -20)
MHsoundstext:SetText("Sounds")
MHfatality = CreateFrame("CheckButton", "MHFatality", MonkHelper.sounds, "ChatConfigCheckButtonTemplate")
MHfatality:SetPoint("TOPLEFT", MHsoundstext, 0, -20)
MHFatalityText:SetText("Touch of Death Sound")
MHfatality:SetChecked(MonkHelper_Options.fatality)
-----Brewmaster Sounds----------------------------------------------
MHbrewmastersoundstext = MonkHelper.sounds:CreateFontString("MHbrewmastersoundstext", "OVERLAY", "GameFontNormal")
MHbrewmastersoundstext:SetPoint("TOPLEFT", MonkHelper.sounds, "TOPLEFT", 311.5, -20)
MHbrewmastersoundstext:SetText("Brewmaster Sounds")
--------------------------------------------------------------------
-----Mistweaver Sounds----------------------------------------------
MHmistweaversoundstext = MonkHelper.sounds:CreateFontString("MHmistweaversoundstext", "OVERLAY", "GameFontNormal")
MHmistweaversoundstext:SetPoint("TOPLEFT", MonkHelper.sounds, "TOPLEFT", 15, -284)
MHmistweaversoundstext:SetText("Mistweaver Sounds")
MHvitalmistssound = CreateFrame("CheckButton", "MHVitalMistsSound", MonkHelper.sounds, "ChatConfigCheckButtonTemplate")
MHvitalmistssound:SetPoint("TOPLEFT", MHmistweaversoundstext, "TOPLEFT", 0, -20)
MHVitalMistsSoundText:SetText("Vital Mists Sound |cFFFFEA00(When At 5 Stacks)|r")
MHvitalmistssound:SetChecked(MonkHelper_Options.vitalmists)
--------------------------------------------------------------------
-----Windwalker Sounds----------------------------------------------
MHwindwalkersoundstext = MonkHelper.sounds:CreateFontString("MHwindwalkersoundstext", "OVERLAY", "GameFontNormal")
MHwindwalkersoundstext:SetPoint("TOPLEFT", MonkHelper.sounds, "TOPLEFT", 311.5, -284)
MHwindwalkersoundstext:SetText("Windwalker Sounds")
MHcbpalmsound = CreateFrame("CheckButton", "MHCBPalmSound", MonkHelper.sounds, "ChatConfigCheckButtonTemplate")
MHcbpalmsound:SetPoint("TOPLEFT", MHwindwalkersoundstext, "TOPLEFT", 0, -20)
MHCBPalmSoundText:SetText("Combo Breaker: Tiger Palm Sound")
MHcbpalmsound:SetChecked(MonkHelper_Options.cbtigerpalm)
------------------------------------------------------------
MHcbkicksound = CreateFrame("CheckButton", "MHCBKickSound", MonkHelper.sounds, "ChatConfigCheckButtonTemplate")
MHcbkicksound:SetPoint("TOPLEFT", MHwindwalkersoundstext, "TOPLEFT", 0, -40)
MHCBKickSoundText:SetText("Combo Breaker: Blackout Kick Sound")
MHcbkicksound:SetChecked(MonkHelper_Options.cbblackoutkick)
------------------------------------------------------------
end

function MonkHelper_Apply()
MonkHelper_Options.scale.MHsparring = MHsparringscale:GetValue()
MonkHelper_Options.scale.MHdematerialize = MHdematerializescale:GetValue()
MonkHelper_Options.scale.MHtouchofkarma = MHtouchofkarmascale:GetValue()
MonkHelper_Options.scale.MHenergizingbrew = MHenergizingbrewscale:GetValue()
MonkHelper_Options.scale.MHclash = MHclashscale:GetValue()
MonkHelper_Options.scale.MHavertharm = MHavertharmscale:GetValue()
MonkHelper_Options.scale.MHlifecocoon = MHlifecocoonscale:GetValue()
MonkHelper_Options.scale.MHsummonjadeserpentstatue = MHsummonjadeserpentstatuescale:GetValue()
MonkHelper_Options.scale.MHrevive = MHrevivescale:GetValue()
MonkHelper_Options.scale.MHtier1 = MHtier1scale:GetValue()
MonkHelper_Options.scale.MHtier3 = MHtier3scale:GetValue()
MonkHelper_Options.scale.MHtier4 = MHtier4scale:GetValue() 
MonkHelper_Options.scale.MHtier5 = MHtier5scale:GetValue()
MonkHelper_Options.scale.MHtier6 = MHtier6scale:GetValue()
MonkHelper_Options.scale.MHroll = MHrollscale:GetValue()
MonkHelper_Options.scale.MHprovoke = MHprovokescale:GetValue()
MonkHelper_Options.scale.MHzenpilgrimage = MHzenpilgrimagescale:GetValue()
MonkHelper_Options.scale.MHtouchofdeath = MHtouchofdeathscale:GetValue()
MonkHelper_Options.scale.MHfortifyingbrew = MHfortifyingbrewscale:GetValue()
MonkHelper_Options.scale.MHnimblebrew = MHnimblebrewscale:GetValue()
MonkHelper_Options.scale.MHspearhandstrike = MHspearhandstrikescale:GetValue()
MonkHelper_Options.scale.MHgrappleweapon = MHgrappleweaponscale:GetValue()
MonkHelper_Options.scale.MHzenmeditation = MHzenmeditationscale:GetValue()
MonkHelper_Options.scale.MHtranscendence = MHtranscendencescale:GetValue()
MonkHelper_Options.scale.MHtranscendencetransfer = MHtranscendencetransferscale:GetValue()
MonkHelper_Options.scale.MHtodnotification = MHtodnotificationscale:GetValue()
MonkHelper_Options.scale.MHstats = MHstatsscale:GetValue()
MonkHelper_Options.scale.MHcbkick = MHcbkickscale:GetValue()
MonkHelper_Options.scale.MHcbpalm = MHcbpalmscale:GetValue()
MonkHelper_Options.scale.MHstagger = MHstaggerscale:GetValue()
MonkHelper_Options.scale.MHsanctuary = MHsanctuaryscale:GetValue()
MonkHelper_Options.scale.MHtransfernotification = MHtransfernotificationscale:GetValue()
MonkHelper_Options.scale.MHdesperatemeasuresnotification = MHdesperatemeasuresnotificationscale:GetValue()
MonkHelper_Options.scale.MHserpentszeal = MHserpentszealscale:GetValue()
MonkHelper_Options.scale.MHvitalmists = MHvitalmistsscale:GetValue()
MonkHelper_Options.scale.MHxuen = MHxuenscale:GetValue()
MonkHelper_Options.scale.MHparalysis = MHparalysisscale:GetValue()
MonkHelper_Options.scale.MHtier2 = MHtier2scale:GetValue()
MonkHelper_Options.scale.MHexpelharm = MHexpelharmscale:GetValue()
MonkHelper_Options.scale.MHrisingsunkick = MHrisingsunkickscale:GetValue()
MonkHelper_Options.scale.MHflyingserpentkick = MHflyingserpentkickscale:GetValue()
MonkHelper_Options.scale.MHtigerpower = MHtigerpowerscale:GetValue()
MonkHelper_Options.scale.MHbrewtracker = MHbrewtrackerscale:GetValue()
MonkHelper_Options.scale.MHfistsoffury = MHfistsoffuryscale:GetValue()
MonkHelper_Options.scale.MHkegsmash = MHkegsmashscale:GetValue()
MonkHelper_Options.scale.MHguard = MHguardscale:GetValue()
MonkHelper_Options.scale.MHshuffle = MHshufflescale:GetValue()
MonkHelper_Options.scale.MHrenewingmist = MHrenewingmistscale:GetValue()
MonkHelper_Options.scale.MHthunderfocustea = MHthunderfocusteascale:GetValue()
MonkHelper_Options.scale.MHdetox = MHdetoxscale:GetValue()
MonkHelper_Options.show.MHtodnotification = MonkHelper_Convert(MHtodnotificationshow:GetChecked())
MonkHelper_Options.show.MHstagger = MonkHelper_Convert(MHstaggershow:GetChecked())
MonkHelper_Options.staggernumber = MonkHelper_Convert(MHstaggernumber:GetChecked())
MonkHelper_Options.staggerpercent = MonkHelper_Convert(MHstaggerpercent:GetChecked())
MonkHelper_Options.sanctuarymsg = MonkHelper_Convert(MHsanctuarymsg:GetChecked())
MonkHelper_Options.show.MHsanctuary = MonkHelper_Convert(MHsanctuaryshow:GetChecked())
MonkHelper_Options.tigerslustmessage = MHtigerslustinput:GetText()
MonkHelper_Options.ringofpeacemessage = MHringofpeaceinput:GetText()
MonkHelper_Options.lifecocoonmessage = MHlifecocooninput:GetText()
MonkHelper_Options.tigerslustmsg = MonkHelper_Convert(MHtigerslustmsg:GetChecked())
MonkHelper_Options.ringofpeacemsg = MonkHelper_Convert(MHringofpeacemsg:GetChecked())
MonkHelper_Options.lifecocoonmsg = MonkHelper_Convert(MHlifecocoonmsg:GetChecked())
MonkHelper_Options.cbpalm = MonkHelper_Convert(MHcbpalmshow:GetChecked())
MonkHelper_Options.cbkick = MonkHelper_Convert(MHcbkickshow:GetChecked())
MonkHelper_Options.fatality = MonkHelper_Convert(MHfatality:GetChecked())
MonkHelper_Options.cbtigerpalm = MonkHelper_Convert(MHcbpalmsound:GetChecked())
MonkHelper_Options.cbblackoutkick = MonkHelper_Convert(MHcbkicksound:GetChecked())
MonkHelper_Options.vitalmists = MonkHelper_Convert(MHvitalmistssound:GetChecked())
MonkHelper_Options.chibarscale = MHscale:GetValue()
MonkHelper_Options.resourcebarscale = MHrscale:GetValue()
MonkHelper_Options.lockframes = MonkHelper_Convert(MHlock:GetChecked())
MonkHelper_Options.hideframes = MonkHelper_Convert(MHhide:GetChecked())
MonkHelper_Options.show.MHchibar = MonkHelper_Convert(MHchibarshow:GetChecked())
MonkHelper_Options.show.MHresourcebar = MonkHelper_Convert(MHresourcebarshow:GetChecked())
MonkHelper_Options.show.MHparalysis = MonkHelper_Convert(MHparalysisshow:GetChecked())
MonkHelper_Options.pmnotify = MonkHelper_Convert(MHparalysisnotify:GetChecked())
MonkHelper_Options.pmautohide = MonkHelper_Convert(MHparalysisautohide:GetChecked())
MonkHelper_Options.show.MHtier2 = MonkHelper_Convert(MHtier2show:GetChecked())
MonkHelper_Options.show.MHexpelharm = MonkHelper_Convert(MHexpelharmshow:GetChecked())
MonkHelper_Options.show.MHrisingsunkick = MonkHelper_Convert(MHrisingsunkickshow:GetChecked())
MonkHelper_Options.show.MHtigerpower = MonkHelper_Convert(MHtigerpowershow:GetChecked())
MonkHelper_Options.show.MHbrewtracker = MonkHelper_Convert(MHbrewtrackershow:GetChecked())
MonkHelper_Options.show.MHfistsoffury = MonkHelper_Convert(MHfistsoffuryshow:GetChecked())
MonkHelper_Options.show.MHkegsmash = MonkHelper_Convert(MHkegsmashshow:GetChecked())
MonkHelper_Options.show.MHguard = MonkHelper_Convert(MHguardshow:GetChecked())
MonkHelper_Options.show.MHshuffle = MonkHelper_Convert(MHshuffleshow:GetChecked())
MonkHelper_Options.show.MHrenewingmist = MonkHelper_Convert(MHrenewingmistshow:GetChecked())
MonkHelper_Options.show.MHthunderfocustea = MonkHelper_Convert(MHthunderfocusteashow:GetChecked())
MonkHelper_Options.show.MHdetox = MonkHelper_Convert(MHdetoxshow:GetChecked())
MonkHelper_Options.show.MHflyingserpentkick = MonkHelper_Convert(MHflyingserpentkickshow:GetChecked())
MonkHelper_Options.show.MHxuen = MonkHelper_Convert(MHxuenshow:GetChecked())
MonkHelper_Options.show.MHserpentszeal = MonkHelper_Convert(MHserpentszealshow:GetChecked())
MonkHelper_Options.show.MHvitalmists = MonkHelper_Convert(MHvitalmistsshow:GetChecked())
MonkHelper_Options.show.MHstats = MonkHelper_Convert(MHstatsshow:GetChecked())
MonkHelper_Options.show.MHtransfernotification = MonkHelper_Convert(MHtransfernotificationshow:GetChecked())
MonkHelper_Options.show.MHdesperatemeasuresnotification = MonkHelper_Convert(MHdesperatemeasuresnotificationshow:GetChecked())
MonkHelper_Options.show.MHtouchofkarma = MonkHelper_Convert(MHtouchofkarmashow:GetChecked())
MonkHelper_Options.show.MHenergizingbrew = MonkHelper_Convert(MHenergizingbrewshow:GetChecked())
MonkHelper_Options.show.MHclash = MonkHelper_Convert(MHclashshow:GetChecked())
MonkHelper_Options.show.MHavertharm = MonkHelper_Convert(MHavertharmshow:GetChecked())
MonkHelper_Options.show.MHlifecocoon = MonkHelper_Convert(MHlifecocoonshow:GetChecked())
MonkHelper_Options.show.MHsummonjadeserpentstatue = MonkHelper_Convert(MHsummonjadeserpentstatueshow:GetChecked())
MonkHelper_Options.show.MHrevive = MonkHelper_Convert(MHreviveshow:GetChecked())
MonkHelper_Options.show.MHtier1 = MonkHelper_Convert(MHtier1show:GetChecked())
MonkHelper_Options.show.MHtier3 = MonkHelper_Convert(MHtier3show:GetChecked())
MonkHelper_Options.show.MHtier4 = MonkHelper_Convert(MHtier4show:GetChecked()) 
MonkHelper_Options.show.MHtier5 = MonkHelper_Convert(MHtier5show:GetChecked())
MonkHelper_Options.show.MHtier6 = MonkHelper_Convert(MHtier6show:GetChecked())
MonkHelper_Options.show.MHroll = MonkHelper_Convert(MHrollshow:GetChecked())
MonkHelper_Options.show.MHprovoke = MonkHelper_Convert(MHprovokeshow:GetChecked())
MonkHelper_Options.show.MHzenpilgrimage = MonkHelper_Convert(MHzenpilgrimageshow:GetChecked())
MonkHelper_Options.show.MHtouchofdeath = MonkHelper_Convert(MHtouchofdeathshow:GetChecked())
MonkHelper_Options.show.MHfortifyingbrew = MonkHelper_Convert(MHfortifyingbrewshow:GetChecked())
MonkHelper_Options.show.MHnimblebrew = MonkHelper_Convert(MHnimblebrewshow:GetChecked())
MonkHelper_Options.show.MHspearhandstrike = MonkHelper_Convert(MHspearhandstrikeshow:GetChecked())
MonkHelper_Options.show.MHgrappleweapon = MonkHelper_Convert(MHgrappleweaponshow:GetChecked())
MonkHelper_Options.show.MHzenmeditation = MonkHelper_Convert(MHzenmeditationshow:GetChecked())
MonkHelper_Options.show.MHtranscendence = MonkHelper_Convert(MHtranscendenceshow:GetChecked())
MonkHelper_Options.show.MHtranscendencetransfer = MonkHelper_Convert(MHtranscendencetransfershow:GetChecked())
MonkHelper_Options.show.MHsparring = MonkHelper_Convert(MHsparringshow:GetChecked())
MonkHelper_Options.show.MHdematerialize = MonkHelper_Convert(MHdematerializeshow:GetChecked())
if MHtimerbypass == 0 then
MonkHelper_UpdateUI()
end
end

function MonkHelper_Cancel()
MHtigerslustinput:SetText("")
MHringofpeaceinput:SetText("")
MHlifecocooninput:SetText("")
MHsparringscale:SetValue(MonkHelper_Options.scale.MHsparring)
MHdematerializescale:SetValue(MonkHelper_Options.scale.MHdematerialize)
MHstatsscale:SetValue(MonkHelper_Options.scale.MHstats)
MHtouchofkarmascale:SetValue(MonkHelper_Options.scale.MHtouchofkarma)
MHenergizingbrewscale:SetValue(MonkHelper_Options.scale.MHenergizingbrew)
MHclashscale:SetValue(MonkHelper_Options.scale.MHclash)
MHavertharmscale:SetValue(MonkHelper_Options.scale.MHavertharm)
MHlifecocoonscale:SetValue(MonkHelper_Options.scale.MHlifecocoon)
MHsummonjadeserpentstatuescale:SetValue(MonkHelper_Options.scale.MHsummonjadeserpentstatue)
MHrevivescale:SetValue(MonkHelper_Options.scale.MHrevive)
MHtier1scale:SetValue(MonkHelper_Options.scale.MHtier1)
MHtier3scale:SetValue(MonkHelper_Options.scale.MHtier3)
MHtier4scale:SetValue(MonkHelper_Options.scale.MHtier4)
MHtier5scale:SetValue(MonkHelper_Options.scale.MHtier5)
MHtier6scale:SetValue(MonkHelper_Options.scale.MHtier6)
MHrollscale:SetValue(MonkHelper_Options.scale.MHroll)
MHprovokescale:SetValue(MonkHelper_Options.scale.MHprovoke)
MHzenpilgrimagescale:SetValue(MonkHelper_Options.scale.MHzenpilgrimage)
MHtouchofdeathscale:SetValue(MonkHelper_Options.scale.MHtouchofdeath)
MHfortifyingbrewscale:SetValue(MonkHelper_Options.scale.MHfortifyingbrew)
MHnimblebrewscale:SetValue(MonkHelper_Options.scale.MHnimblebrew)
MHspearhandstrikescale:SetValue(MonkHelper_Options.scale.MHspearhandstrike)
MHgrappleweaponscale:SetValue(MonkHelper_Options.scale.MHgrappleweapon)
MHzenmeditationscale:SetValue(MonkHelper_Options.scale.MHzenmeditation)
MHtranscendencescale:SetValue(MonkHelper_Options.scale.MHtranscendence)
MHtranscendencetransferscale:SetValue(MonkHelper_Options.scale.MHtranscendencetransfer)
MHcbkickscale:SetValue(MonkHelper_Options.scale.MHcbkick)
MHcbpalmscale:SetValue(MonkHelper_Options.scale.MHcbpalm)
MHstaggerscale:SetValue(MonkHelper_Options.scale.MHstagger)
MHsanctuaryscale:SetValue(MonkHelper_Options.scale.MHsanctuary)
MHtodnotificationscale:SetValue(MonkHelper_Options.scale.MHtodnotification)
MHtransfernotificationscale:SetValue(MonkHelper_Options.scale.MHtransfernotification)
MHdesperatemeasuresnotificationscale:SetValue(MonkHelper_Options.scale.MHdesperatemeasuresnotification)
MHserpentszealscale:SetValue(MonkHelper_Options.scale.MHserpentszeal)
MHvitalmistsscale:SetValue(MonkHelper_Options.scale.MHvitalmists)
MHxuenscale:SetValue(MonkHelper_Options.scale.MHxuen)
MHparalysisscale:SetValue(MonkHelper_Options.scale.MHparalysis)
MHtier2scale:SetValue(MonkHelper_Options.scale.MHtier2)
MHexpelharmscale:SetValue(MonkHelper_Options.scale.MHexpelharm)
MHrisingsunkickscale:SetValue(MonkHelper_Options.scale.MHrisingsunkick)
MHflyingserpentkickscale:SetValue(MonkHelper_Options.scale.MHflyingserpentkick)
MHtigerpowerscale:SetValue(MonkHelper_Options.scale.MHtigerpower)
MHbrewtrackerscale:SetValue(MonkHelper_Options.scale.MHbrewtracker)
MHfistsoffuryscale:SetValue(MonkHelper_Options.scale.MHfistsoffury)
MHkegsmashscale:SetValue(MonkHelper_Options.scale.MHkegsmash)
MHguardscale:SetValue(MonkHelper_Options.scale.MHguard)
MHshufflescale:SetValue(MonkHelper_Options.scale.MHshuffle)
MHrenewingmistscale:SetValue(MonkHelper_Options.scale.MHrenewingmist)
MHthunderfocusteascale:SetValue(MonkHelper_Options.scale.MHthunderfocustea)
MHdetoxscale:SetValue(MonkHelper_Options.scale.MHdetox)
MHstaggerpercent:SetChecked(MonkHelper_Options.staggerpercent)
MHstaggernumber:SetChecked(MonkHelper_Options.staggernumber)
MHtodnotificationshow:SetChecked(MonkHelper_Options.show.MHtodnotification)
MHstaggershow:SetChecked(MonkHelper_Options.show.MHstagger)
MHsanctuaryshow:SetChecked(MonkHelper_Options.show.MHsanctuary)
MHsanctuarymsg:SetChecked(MonkHelper_Options.sanctuarymsg)
MHtigerslustmsg:SetChecked(MonkHelper_Options.tigerslustmsg)
MHringofpeacemsg:SetChecked(MonkHelper_Options.ringofpeacemsg)
MHlifecocoonmsg:SetChecked(MonkHelper_Options.lifecocoonmsg)
MHtigerslustinput:SetText(MonkHelper_Options.tigerslustmessage)
MHringofpeaceinput:SetText(MonkHelper_Options.ringofpeacemessage)
MHlifecocooninput:SetText(MonkHelper_Options.lifecocoonmessage)
MHcbpalmshow:SetChecked(MonkHelper_Options.cbpalm)
MHcbkickshow:SetChecked(MonkHelper_Options.cbkick)
MHfatality:SetChecked(MonkHelper_Options.fatality)
MHcbpalmsound:SetChecked(MonkHelper_Options.cbtigerpalm)
MHcbkicksound:SetChecked(MonkHelper_Options.cbblackoutkick)
MHvitalmistssound:SetChecked(MonkHelper_Options.vitalmists)
MHscale:SetValue(MonkHelper_Options.chibarscale)
MHrscale:SetValue(MonkHelper_Options.resourcebarscale)
MHlock:SetChecked(MonkHelper_Options.lockframes)
MHhide:SetChecked(MonkHelper_Options.hideframes)
MHchibarshow:SetChecked(MonkHelper_Options.show.MHchibar)
MHresourcebarshow:SetChecked(MonkHelper_Options.show.MHresourcebar)
MHparalysisshow:SetChecked(MonkHelper_Options.show.MHparalysis)
MHparalysisnotify:SetChecked(MonkHelper_Options.pmnotify)
MHparalysisautohide:SetChecked(MonkHelper_Options.pmautohide)
MHtier2show:SetChecked(MonkHelper_Options.show.MHtier2)
MHexpelharmshow:SetChecked(MonkHelper_Options.show.MHexpelharm)
MHrisingsunkickshow:SetChecked(MonkHelper_Options.show.MHrisingsunkick)
MHtigerpowershow:SetChecked(MonkHelper_Options.show.MHtigerpower)
MHbrewtrackershow:SetChecked(MonkHelper_Options.show.MHbrewtracker)
MHfistsoffuryshow:SetChecked(MonkHelper_Options.show.MHfistsoffury)
MHkegsmashshow:SetChecked(MonkHelper_Options.show.MHkegsmash)
MHguardshow:SetChecked(MonkHelper_Options.show.MHguard)
MHshuffleshow:SetChecked(MonkHelper_Options.show.MHshuffle)
MHrenewingmistshow:SetChecked(MonkHelper_Options.show.MHrenewingmist)
MHthunderfocusteashow:SetChecked(MonkHelper_Options.show.MHthunderfocustea)
MHdetoxshow:SetChecked(MonkHelper_Options.show.MHdetox)
MHflyingserpentkickshow:SetChecked(MonkHelper_Options.show.MHflyingserpentkick)
MHxuenshow:SetChecked(MonkHelper_Options.show.MHxuen)
MHvitalmistsshow:SetChecked(MonkHelper_Options.show.MHvitalmists)
MHstatsshow:SetChecked(MonkHelper_Options.show.MHstats)
MHserpentszealshow:SetChecked(MonkHelper_Options.show.MHserpentszeal)
MHtransfernotificationshow:SetChecked(MonkHelper_Options.show.MHtransfernotification)
MHdesperatemeasuresnotificationshow:SetChecked(MonkHelper_Options.show.MHdesperatemeasuresnotification)
MHtouchofkarmashow:SetChecked(MonkHelper_Options.show.MHtouchofkarma)
MHenergizingbrewshow:SetChecked(MonkHelper_Options.show.MHenergizingbrew)
MHclashshow:SetChecked(MonkHelper_Options.show.MHclash)
MHavertharmshow:SetChecked(MonkHelper_Options.show.MHavertharm)
MHlifecocoonshow:SetChecked(MonkHelper_Options.show.MHlifecocoon)
MHsummonjadeserpentstatueshow:SetChecked(MonkHelper_Options.show.MHsummonjadeserpentstatue)
MHreviveshow:SetChecked(MonkHelper_Options.show.MHrevive)
MHtier1show:SetChecked(MonkHelper_Options.show.MHtier1)
MHtier3show:SetChecked(MonkHelper_Options.show.MHtier3)
MHtier4show:SetChecked(MonkHelper_Options.show.MHtier4)
MHtier5show:SetChecked(MonkHelper_Options.show.MHtier5)
MHtier6show:SetChecked(MonkHelper_Options.show.MHtier6)
MHrollshow:SetChecked(MonkHelper_Options.show.MHroll)
MHprovokeshow:SetChecked(MonkHelper_Options.show.MHprovoke)
MHzenpilgrimageshow:SetChecked(MonkHelper_Options.show.MHzenpilgrimage)
MHtouchofdeathshow:SetChecked(MonkHelper_Options.show.MHtouchofdeath)
MHfortifyingbrewshow:SetChecked(MonkHelper_Options.show.MHfortifyingbrew)
MHnimblebrewshow:SetChecked(MonkHelper_Options.show.MHnimblebrew)
MHspearhandstrikeshow:SetChecked(MonkHelper_Options.show.MHspearhandstrike)
MHgrappleweaponshow:SetChecked(MonkHelper_Options.show.MHgrappleweapon)
MHzenmeditationshow:SetChecked(MonkHelper_Options.show.MHzenmeditation)
MHtranscendenceshow:SetChecked(MonkHelper_Options.show.MHtranscendence)
MHtranscendencetransfershow:SetChecked(MonkHelper_Options.show.MHtranscendencetransfer)
MHsparringshow:SetChecked(MonkHelper_Options.show.MHsparring)
MHdematerializeshow:SetChecked(MonkHelper_Options.show.MHdematerialize)
MonkHelper_UpdateUI()
end

function MonkHelper_Defaults()
MonkHelper_Options = {
sanctuary = 0,
staggerpercent = 0,
staggernumber = 1,
sanctuarymsg = 1,
tigerslustmsg = 1,
tigerslustmessage = "Tiger's Lust cast on you",
ringofpeacemsg = 1,
ringofpeacemessage = "Ring of Peace cast on you",
lifecocoonmsg = 1,
lifecocoonmessage = "Life Cocoon cast on you",
cbkick = 1,
cbpalm = 1,
fatality = 1,
cbtigerpalm = 1,
cbblackoutkick = 1,
vitalmists = 1,
chibarscale = 1,
resourcebarscale = 1,
lockframes = 0,
hideframes = 0,
pmnotify = 1,
pmautohide = 0,
scale = {
MHsparring = 1,
MHdematerialize = 1,
MHtouchofkarma = 1,
MHenergizingbrew = 1,
MHclash = 1,
MHavertharm = 1,
MHlifecocoon = 1,
MHsummonjadeserpentstatue = 1,
MHrevive = 1,
MHtier1 = 1,
MHtier3 = 1,
MHtier4 = 1,
MHtier5 = 1,
MHtier6 = 1,
MHroll = 1,
MHprovoke = 1,
MHzenpilgrimage = 1,
MHtouchofdeath = 1,
MHfortifyingbrew = 1,
MHnimblebrew = 1,
MHspearhandstrike = 1,
MHgrappleweapon = 1,
MHzenmeditation = 1,
MHtranscendence = 1,
MHtranscendencetransfer = 1,
MHtodnotification = 0.8,
MHstats = 1,
MHvitalmists = 1,
MHserpentszeal = 1,
MHdesperatemeasuresnotification = 0.8,
MHcbkick = 1,
MHcbpalm = 1,
MHstagger = 1,
MHsanctuary = 1,
MHtransfernotification = 0.8,
MHxuen = 1,
MHchibar = 1,
MHresourcebar = 1,
MHparalysis = 1,
MHtier2 = 1,
MHexpelharm = 1,
MHrisingsunkick = 1,
MHflyingserpentkick = 1,
MHtigerpower = 1,
MHbrewtracker = 1,
MHfistsoffury = 1,
MHkegsmash = 1, 
MHguard = 1,
MHshuffle = 1,
MHrenewingmist = 1,
MHthunderfocustea = 1,
MHdetox = 1,
},
show = {
MHsparring = 1,
MHdematerialize = 1,
MHtouchofkarma = 1,
MHenergizingbrew = 1,
MHclash = 1,
MHavertharm = 1,
MHlifecocoon = 1,
MHsummonjadeserpentstatue = 1,
MHrevive = 1,
MHtier1 = 1,
MHtier3 = 1,
MHtier4 = 1,
MHtier5 = 1,
MHtier6 = 1,
MHroll = 1,
MHprovoke = 1,
MHzenpilgrimage = 1,
MHtouchofdeath = 1,
MHfortifyingbrew = 1,
MHnimblebrew = 1,
MHspearhandstrike = 1,
MHgrappleweapon = 1,
MHzenmeditation = 1,
MHtranscendence = 1,
MHtranscendencetransfer = 1,
MHtodnotification = 1,
MHstats = 1,
MHvitalmists = 1,
MHserpentszeal = 1,
MHstagger = 1,
MHsanctuary = 1,
MHdesperatemeasuresnotification = 1,
MHtransfernotification = 1,
MHxuen = 1,
MHchibar = 1,
MHresourcebar = 1,
MHparalysis = 1,
MHtier2 = 1,
MHexpelharm = 1,
MHrisingsunkick = 1,
MHflyingserpentkick = 1,
MHtigerpower = 1,
MHbrewtracker = 1,
MHfistsoffury = 1,
MHkegsmash = 1, 
MHguard = 1,
MHshuffle = 1,
MHrenewingmist = 1,
MHthunderfocustea = 1,
MHdetox = 1,
},
}
end

function MonkHelper_Disable()
MonkHelper_Options.fatality = 0
MonkHelper_Options.cbtigerpalm = 0
MonkHelper_Options.cbblackoutkick = 0
MonkHelper_Options.vitalmists = 0
MonkHelper_Options.cbpalm = 0
MonkHelper_Options.cbkick = 0
MonkHelper_Options.pmnotify = 0
MonkHelper_Options.sanctuarymsg = 0
MonkHelper_Options.tigerslustmsg = 0
MonkHelper_Options.ringofpeacemsg = 0
MonkHelper_Options.lifecocoonmsg = 0
for k, v in pairs(MonkHelper_Options.show) do
MonkHelper_Options.show[k] = 0
end
MonkHelper.panel.cancel()
MonkHelper_UpdateUI()
end

function MonkHelper_VarCheck()
if not MonkHelper_Options.scale then
MonkHelper_Options.scale = {}
end
if not MonkHelper_Options.scale.MHsparring then
MonkHelper_Options.scale.MHsparring = 1
end
if not MonkHelper_Options.scale.MHdematerialize then
MonkHelper_Options.scale.MHdematerialize = 1
end
if not MonkHelper_Options.scale.MHtouchofkarma then
MonkHelper_Options.scale.MHtouchofkarma = 1
end
if not MonkHelper_Options.scale.MHenergizingbrew then
MonkHelper_Options.scale.MHenergizingbrew = 1
end
if not MonkHelper_Options.scale.MHclash then
MonkHelper_Options.scale.MHclash = 1
end
if not MonkHelper_Options.scale.MHavertharm then
MonkHelper_Options.scale.MHavertharm = 1
end
if not MonkHelper_Options.scale.MHlifecocoon then
MonkHelper_Options.scale.MHlifecocoon = 1
end
if not MonkHelper_Options.scale.MHsummonjadeserpentstatue then
MonkHelper_Options.scale.MHsummonjadeserpentstatue = 1
end
if not MonkHelper_Options.scale.MHrevive then
MonkHelper_Options.scale.MHrevive = 1
end
if not MonkHelper_Options.scale.MHtier1 then
MonkHelper_Options.scale.MHtier1 = 1
end
if not MonkHelper_Options.scale.MHtier3 then
MonkHelper_Options.scale.MHtier3 = 1
end
if not MonkHelper_Options.scale.MHtier4 then
MonkHelper_Options.scale.MHtier4 = 1
end
if not MonkHelper_Options.scale.MHtier5 then
MonkHelper_Options.scale.MHtier5 = 1
end
if not MonkHelper_Options.scale.MHtier6 then
MonkHelper_Options.scale.MHtier6 = 1
end
if not MonkHelper_Options.scale.MHroll then
MonkHelper_Options.scale.MHroll = 1
end
if not MonkHelper_Options.scale.MHprovoke then
MonkHelper_Options.scale.MHprovoke = 1
end
if not MonkHelper_Options.scale.MHzenpilgrimage then
MonkHelper_Options.scale.MHzenpilgrimage = 1
end
if not MonkHelper_Options.scale.MHtouchofdeath then
MonkHelper_Options.scale.MHtouchofdeath = 1
end
if not MonkHelper_Options.scale.MHfortifyingbrew then
MonkHelper_Options.scale.MHfortifyingbrew = 1
end
if not MonkHelper_Options.scale.MHnimblebrew then
MonkHelper_Options.scale.MHnimblebrew = 1
end
if not MonkHelper_Options.scale.MHspearhandstrike then
MonkHelper_Options.scale.MHspearhandstrike = 1
end
if not MonkHelper_Options.scale.MHgrappleweapon then
MonkHelper_Options.scale.MHgrappleweapon = 1
end
if not MonkHelper_Options.scale.MHzenmeditation then
MonkHelper_Options.scale.MHzenmeditation = 1
end
if not MonkHelper_Options.scale.MHtranscendence then
MonkHelper_Options.scale.MHtranscendence = 1
end
if not MonkHelper_Options.scale.MHtranscendencetransfer then
MonkHelper_Options.scale.MHtranscendencetransfer = 1
end
if not MonkHelper_Options.scale.MHtodnotification then
MonkHelper_Options.scale.MHtodnotification = 0.8
end
if not MonkHelper_Options.scale.MHstats then
MonkHelper_Options.scale.MHstats = 0.9
end
if not MonkHelper_Options.scale.MHcbkick then
MonkHelper_Options.scale.MHcbkick = 1
end
if not MonkHelper_Options.scale.MHcbpalm then
MonkHelper_Options.scale.MHcbpalm = 1
end
if not MonkHelper_Options.scale.MHstagger then
MonkHelper_Options.scale.MHstagger = 1
end
if not MonkHelper_Options.scale.MHsanctuary then
MonkHelper_Options.scale.MHsanctuary = 1
end
if not MonkHelper_Options.scale.MHtransfernotification then
MonkHelper_Options.scale.MHtransfernotification = 0.8
end
if not MonkHelper_Options.scale.MHserpentszeal then
MonkHelper_Options.scale.MHserpentszeal = 1
end
if not MonkHelper_Options.scale.MHvitalmists then
MonkHelper_Options.scale.MHvitalmists = 1
end
if not MonkHelper_Options.scale.MHdesperatemeasuresnotification then
MonkHelper_Options.scale.MHdesperatemeasuresnotification = 0.8
end
if not MonkHelper_Options.scale.MHxuen then
MonkHelper_Options.scale.MHxuen = 1
end
if not MonkHelper_Options.scale.MHchibar then
MonkHelper_Options.scale.MHchibar = 1
end
if not MonkHelper_Options.scale.MHresourcebar then
MonkHelper_Options.scale.MHresourcebar = 1
end
if not MonkHelper_Options.scale.MHparalysis then
MonkHelper_Options.scale.MHparalysis = 1
end
if not MonkHelper_Options.scale.MHtier2 then
MonkHelper_Options.scale.MHtier2 = 1
end
if not MonkHelper_Options.scale.MHexpelharm then
MonkHelper_Options.scale.MHexpelharm = 1
end
if not MonkHelper_Options.scale.MHrisingsunkick then
MonkHelper_Options.scale.MHrisingsunkick = 1
end
if not MonkHelper_Options.scale.MHflyingserpentkick then
MonkHelper_Options.scale.MHflyingserpentkick = 1
end
if not MonkHelper_Options.scale.MHtigerpower then
MonkHelper_Options.scale.MHtigerpower = 1
end
if not MonkHelper_Options.scale.MHbrewtracker then
MonkHelper_Options.scale.MHbrewtracker = 1
end
if not MonkHelper_Options.scale.MHfistsoffury then
MonkHelper_Options.scale.MHfistsoffury = 1
end
if not MonkHelper_Options.scale.MHkegsmash then
MonkHelper_Options.scale.MHkegsmash = 1
end
if not MonkHelper_Options.scale.MHguard then
MonkHelper_Options.scale.MHguard = 1
end
if not MonkHelper_Options.scale.MHshuffle then
MonkHelper_Options.scale.MHshuffle = 1
end
if not MonkHelper_Options.scale.MHrenewingmist then
MonkHelper_Options.scale.MHrenewingmist = 1
end
if not MonkHelper_Options.scale.MHthunderfocustea then
MonkHelper_Options.scale.MHthunderfocustea = 1
end
if not MonkHelper_Options.scale.MHdetox then
MonkHelper_Options.scale.MHdetox = 1
end
if not MonkHelper_Options.show.MHtouchofkarma then
MonkHelper_Options.show.MHtouchofkarma = 1
end
if not MonkHelper_Options.show.MHenergizingbrew then
MonkHelper_Options.show.MHenergizingbrew = 1
end
if not MonkHelper_Options.show.MHclash then
MonkHelper_Options.show.MHclash = 1
end
if not MonkHelper_Options.show.MHavertharm then
MonkHelper_Options.show.MHavertharm = 1
end
if not MonkHelper_Options.show.MHlifecocoon then
MonkHelper_Options.show.MHlifecocoon = 1
end
if not MonkHelper_Options.show.MHsummonjadeserpentstatue then
MonkHelper_Options.show.MHsummonjadeserpentstatue = 1
end
if not MonkHelper_Options.show.MHrevive then
MonkHelper_Options.show.MHrevive = 1
end
if not MonkHelper_Options.show.MHtier1 then
MonkHelper_Options.show.MHtier1 = 1
end
if not MonkHelper_Options.show.MHtier3 then
MonkHelper_Options.show.MHtier3 = 1
end
if not MonkHelper_Options.show.MHtier4 then
MonkHelper_Options.show.MHtier4 = 1
end
if not MonkHelper_Options.show.MHtier5 then
MonkHelper_Options.show.MHtier5 = 1
end
if not MonkHelper_Options.show.MHtier6 then
MonkHelper_Options.show.MHtier6 = 1
end
if not MonkHelper_Options.show.MHroll then
MonkHelper_Options.show.MHroll = 1
end
if not MonkHelper_Options.show.MHprovoke then
MonkHelper_Options.show.MHprovoke = 1
end
if not MonkHelper_Options.show.MHzenpilgrimage then
MonkHelper_Options.show.MHzenpilgrimage = 1
end
if not MonkHelper_Options.show.MHtouchofdeath then
MonkHelper_Options.show.MHtouchofdeath = 1
end
if not MonkHelper_Options.show.MHfortifyingbrew then
MonkHelper_Options.show.MHfortifyingbrew = 1
end
if not MonkHelper_Options.show.MHnimblebrew then
MonkHelper_Options.show.MHnimblebrew = 1
end
if not MonkHelper_Options.show.MHspearhandstrike then
MonkHelper_Options.show.MHspearhandstrike = 1
end
if not MonkHelper_Options.show.MHgrappleweapon then
MonkHelper_Options.show.MHgrappleweapon = 1
end
if not MonkHelper_Options.show.MHzenmeditation then
MonkHelper_Options.show.MHzenmeditation = 1
end
if not MonkHelper_Options.show.MHtranscendence then
MonkHelper_Options.show.MHtranscendence = 1
end
if not MonkHelper_Options.show.MHtranscendencetransfer then
MonkHelper_Options.show.MHtranscendencetransfer = 1
end
if not MonkHelper_Options.show.MHtodnotification then
MonkHelper_Options.show.MHtodnotification = 1
end
if not MonkHelper_Options.show.MHstats then
MonkHelper_Options.show.MHstats = 1
end
if not MonkHelper_Options.show.MHstagger then
MonkHelper_Options.show.MHstagger = 1
end
if not MonkHelper_Options.show.MHsparring then
MonkHelper_Options.show.MHsparring = 1
end
if not MonkHelper_Options.show.MHdematerialize then
MonkHelper_Options.show.MHdematerialize = 1
end
if not MonkHelper_Options.staggerpercent then
MonkHelper_Options.staggerpercent = 0
end
if not MonkHelper_Options.staggernumber then
MonkHelper_Options.staggernumber = 1
end
if not MonkHelper_Options.sanctuary then
MonkHelper_Options.sanctuary = 0
end
if not MonkHelper_Options.sanctuarymsg then
MonkHelper_Options.sanctuarymsg = 1
end
if not MonkHelper_Options.show.MHsanctuary then
MonkHelper_Options.show.MHsanctuary = 1
end
if not MonkHelper_Options.version then
MonkHelper_Options.version = true
end
if not MonkHelper_Options.tigerslustmsg then
MonkHelper_Options.tigerslustmsg = 1
end
if not MonkHelper_Options.tigerslustmessage then
MonkHelper_Options.tigerslustmessage = "Tiger's Lust cast on you"
end
if not MonkHelper_Options.ringofpeacemsg then
MonkHelper_Options.ringofpeacemsg = 1
end
if not MonkHelper_Options.ringofpeacemessage then
MonkHelper_Options.ringofpeacemessage = "Ring of Peace cast on you"
end
if not MonkHelper_Options.lifecocoonmsg then
MonkHelper_Options.lifecocoonmsg = 1
end
if not MonkHelper_Options.lifecocoonmessage then
MonkHelper_Options.lifecocoonmessage = "Life Cocoon cast on you"
end
if not MonkHelper_Options.cbkick then
MonkHelper_Options.cbkick = 1
end
if not MonkHelper_Options.cbpalm then
MonkHelper_Options.cbpalm = 1
end
if not MonkHelper_Options.fatality then
MonkHelper_Options.fatality = 1
end
if not MonkHelper_Options.cbtigerpalm then
MonkHelper_Options.cbtigerpalm = 1
end
if not MonkHelper_Options.cbblackoutkick then
MonkHelper_Options.cbblackoutkick = 1
end
if not MonkHelper_Options.vitalmists then
MonkHelper_Options.vitalmists = 1
end
if not MonkHelper_Options.chibarscale then
MonkHelper_Options.chibarscale = 1
end
if not MonkHelper_Options.resourcebarscale then
MonkHelper_Options.resourcebarscale = 1
end
if not MonkHelper_Options.lockframes then
MonkHelper_Options.lockframes = 0
end
if not MonkHelper_Options.hideframes then
MonkHelper_Options.hideframes = 0
end
if not MonkHelper_Options.pmnotify then
MonkHelper_Options.pmnotify = 1
end
if not MonkHelper_Options.pmautohide then
MonkHelper_Options.pmautohide = 0
end
if not MonkHelper_Options.show.MHchibar then
MonkHelper_Options.show.MHchibar = 1
end
if not MonkHelper_Options.show.MHresourcebar then
MonkHelper_Options.show.MHresourcebar = 1
end
if not MonkHelper_Options.show.MHparalysis then
MonkHelper_Options.show.MHparalysis = 1
end
if not MonkHelper_Options.show.MHtier2 then
MonkHelper_Options.show.MHtier2 = 1
end
if not MonkHelper_Options.show.MHexpelharm then
MonkHelper_Options.show.MHexpelharm = 1
end
if not MonkHelper_Options.show.MHrisingsunkick then
MonkHelper_Options.show.MHrisingsunkick = 1
end
if not MonkHelper_Options.show.MHflyingserpentkick then
MonkHelper_Options.show.MHflyingserpentkick = 1
end
if not MonkHelper_Options.show.MHtigerpower then
MonkHelper_Options.show.MHtigerpower = 1
end
if not MonkHelper_Options.show.MHbrewtracker then
MonkHelper_Options.show.MHbrewtracker = 1
end
if not MonkHelper_Options.show.MHfistsoffury then
MonkHelper_Options.show.MHfistsoffury = 1
end
if not MonkHelper_Options.show.MHkegsmash then
MonkHelper_Options.show.MHkegsmash = 1
end
if not MonkHelper_Options.show.MHguard then
MonkHelper_Options.show.MHguard = 1
end
if not MonkHelper_Options.show.MHserpentszeal then
MonkHelper_Options.show.MHserpentszeal = 1
end
if not MonkHelper_Options.show.MHvitalmists then
MonkHelper_Options.show.MHvitalmists = 1
end
if not MonkHelper_Options.show.MHshuffle then
MonkHelper_Options.show.MHshuffle = 1
end
if not MonkHelper_Options.show.MHrenewingmist then
MonkHelper_Options.show.MHrenewingmist = 1
end
if not MonkHelper_Options.show.MHthunderfocustea then
MonkHelper_Options.show.MHthunderfocustea = 1
end
if not MonkHelper_Options.show.MHdetox then
MonkHelper_Options.show.MHdetox = 1
end
if not MonkHelper_Options.show.MHxuen then
MonkHelper_Options.show.MHxuen = 1
end
if not MonkHelper_Options.show.MHtransfernotification then
MonkHelper_Options.show.MHtransfernotification = 1
end
end

function MonkHelper_Convert(arg)
if arg == nil then
return 0
else 
return arg
end
end


SLASH_MONKHELPER1 = "/mh"
SLASH_MONKHELPER2 = "/monkhelper"
SlashCmdList["MONKHELPER"] = function()
InterfaceOptionsFrame_OpenToCategory(MonkHelper.panel)
InterfaceOptionsFrame_OpenToCategory(MonkHelper.panel)
end
end